Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 601e298d583865b96bd7243c666ef316f4def71f)
+++ introduction/welcome/changelog.xml	(revision 00f9a2a130bc0b2cf0553dda9f866b852242824e)
@@ -42,4 +42,18 @@
     </listitem>
 -->
+
+    <listitem>
+      <para>August 25th, 2017</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to kf5-5.37. Fixes
+          <ulink url="&blfs-ticket-root;9315">#9315</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to NetworkManager-1.8.2. Fixes
+          <ulink url="&blfs-ticket-root;9461">#9461</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: kde/extra-cmake-modules.xml
===================================================================
--- kde/extra-cmake-modules.xml	(revision 601e298d583865b96bd7243c666ef316f4def71f)
+++ kde/extra-cmake-modules.xml	(revision 00f9a2a130bc0b2cf0553dda9f866b852242824e)
@@ -7,7 +7,7 @@
    <!ENTITY extra-cmake-modules-download-http "&kf5-download-http;/extra-cmake-modules-&kf5-version;.tar.xz">
    <!ENTITY extra-cmake-modules-download-ftp  " ">
-   <!ENTITY extra-cmake-modules-md5sum        "fdbf1beac421ef98c41a3a1a3703fbb4">
+   <!ENTITY extra-cmake-modules-md5sum        "29883c1580c5b9e4c736a138fc832e1a">
    <!ENTITY extra-cmake-modules-size          "308 KB">
-   <!ENTITY extra-cmake-modules-buildsize     "4.2 MB">
+   <!ENTITY extra-cmake-modules-buildsize     "4.1 MB">
    <!ENTITY extra-cmake-modules-time          "less than 0.1 SBU">
 ]>
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs80_checked;
+    &lfs81_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/kf5/kf5-frameworks.xml
===================================================================
--- kde/kf5/kf5-frameworks.xml	(revision 601e298d583865b96bd7243c666ef316f4def71f)
+++ kde/kf5/kf5-frameworks.xml	(revision 00f9a2a130bc0b2cf0553dda9f866b852242824e)
@@ -9,7 +9,7 @@
   <!ENTITY kf5-download-ftp  " ">
   <!ENTITY kf5-md5sum        "See Below">
-  <!ENTITY kf5-size          "259 MB">
-  <!ENTITY kf5-buildsize     "983 MB (216 MB installed)">
-  <!ENTITY kf5-time          "32 SBU">
+  <!ENTITY kf5-size          "273 MB">
+  <!ENTITY kf5-buildsize     "981 MB (187 MB installed)">
+  <!ENTITY kf5-time          "13 SBU (using parallelism=4)">
 ]>
 
@@ -32,5 +32,5 @@
   independent of the KDE Display Environment (Plasma 5).</para>
 
-  &lfs80_checked;
+  &lfs81_checked;
 
   <para>The instructions below build all of the KDE Frameworks packages in one
@@ -179,78 +179,79 @@
 
 <screen><userinput>cat &gt; frameworks-&kf5-version;.md5 &lt;&lt; "EOF"
-<literal>64f668aeb0ae98d7a956a3d77ff6b7f5 attica-5.34.0.tar.xz
-#fdbf1beac421ef98c41a3a1a3703fbb4 extra-cmake-modules-5.34.0.tar.xz
-1ed1b8b3928d4cae92e7783be780e2a9 kapidox-5.34.0.tar.xz
-0c7b013cd3f176f25038c002bc706979 karchive-5.34.0.tar.xz
-35a5fa5606b22eda5a885dc479e48e53 kcodecs-5.34.0.tar.xz
-51788f84902358d7840c1d4ed111a80d kconfig-5.34.0.tar.xz
-5b8ee514c5ecbe6febe28af2686566ad kcoreaddons-5.34.0.tar.xz
-5dc198d8d1f6896451b1eaf15a28308f kdbusaddons-5.34.0.tar.xz
-34556a2f5c33bb101c665243a6618f84 kdnssd-5.34.0.tar.xz
-05a622fc98d4f748d5f50d15a579b34d kguiaddons-5.34.0.tar.xz
-314ae60902e4870ae4df51decf4cedf3 ki18n-5.34.0.tar.xz
-3702887f8dd903ee62d51d26da2fbd21 kidletime-5.34.0.tar.xz
-5de2f07b336858195eaa138d2811e8b2 kimageformats-5.34.0.tar.xz
-d5133f83bc354eab9e42fcf588cddbd2 kitemmodels-5.34.0.tar.xz
-0e7b69f9803d63ff5900bea0f101d363 kitemviews-5.34.0.tar.xz
-697f307e0266a54382a5057babda53d6 kplotting-5.34.0.tar.xz
-c38d08ca16a49f43a6be2fd416652277 kwidgetsaddons-5.34.0.tar.xz
-aca305a63b8ae3244d92c394d9d3840e kwindowsystem-5.34.0.tar.xz
-66ed35d3a44b3ae7c04bc740cd553f01 networkmanager-qt-5.34.0.tar.xz
-43050a891de0be5d79ac488e56012398 solid-5.34.0.tar.xz
-320d964229aa783ac1a30670e6a930fe sonnet-5.34.0.tar.xz
-034848d665785ae552a8d9c8acd59725 threadweaver-5.34.0.tar.xz
-80e2d4a4d1657d70ddceb5f354074eb7 kauth-5.34.0.tar.xz
-34b9b0cc3d61210683a872976d27b9c9 kcompletion-5.34.0.tar.xz
-28a6ddd2560e283694ca6e0b97a432fc kcrash-5.34.0.tar.xz
-52df5dd9721be1d372b7a2ce3bd29efc kdoctools-5.34.0.tar.xz
-d921308e25f7a79a88f9bb8fffed8453 kpty-5.34.0.tar.xz
-47cc7f51a7cfa0ef3c193ccbcc045f96 kunitconversion-5.34.0.tar.xz
-7647c86266b61075542b4112e5f21a72 kconfigwidgets-5.34.0.tar.xz
-ab7745b32c5cac8e928c9dc0ad0dde41 kservice-5.34.0.tar.xz
-14ddf20e92da05618d48262b2cfbe6ef kglobalaccel-5.34.0.tar.xz
-06e87a370ff4f231644fcae65a15203e kpackage-5.34.0.tar.xz
-ff57dbae99d31603c36f9b59a2f88780 kdesu-5.34.0.tar.xz
-eb2381de7b6905e7968859258c7d4731 kemoticons-5.34.0.tar.xz
-6fc0cd71f1c331aae78b0c03114958dd kiconthemes-5.34.0.tar.xz
-1c65bee5dfc02d7671228dd90c59e19b kjobwidgets-5.34.0.tar.xz
-75eb11cdce6b623301dc670c3ee31525 knotifications-5.34.0.tar.xz
-7cf308f1e3738ebed99c2ad08245ed6e ktextwidgets-5.34.0.tar.xz
-b05b69a31251aa76c35581475c939cc0 kxmlgui-5.34.0.tar.xz
-1f745c77a2a7285962801a1260f22720 kbookmarks-5.34.0.tar.xz
-8385f1b57b7014be23511383c233da5d kwallet-5.34.0.tar.xz
-49c9c0a0f94cfb301ef92578d888eedd kio-5.34.0.tar.xz
-5b787db5a2ad709fca9ad23319aa3073 kdeclarative-5.34.0.tar.xz
-c1afcc332098a7c0f104629d1f67e4ad kcmutils-5.34.0.tar.xz
-560d1d39a62a016b92554e75c8cf25bf knewstuff-5.34.0.tar.xz
-197162d3e09c27e286ba5ff0cf14a49b frameworkintegration-5.34.0.tar.xz
-02b40f5ac18ebed7afd35e71bd621345 kinit-5.34.0.tar.xz
-a89c130ec60f90d26b44c5c41d8c1e37 knotifyconfig-5.34.0.tar.xz
-84cf7f77790cd8f2de85726fb16a3b73 kparts-5.34.0.tar.xz
-67cc9be7978878d578295a885b9d6737 kactivities-5.34.0.tar.xz
-e2ac1c22569e8f09e7716c92119a6f96 kded-5.34.0.tar.xz
-9eb10b68624a858c0c217364e03a935e kdewebkit-5.34.0.tar.xz
-ab44df7bdffa30c211568bf677456b8e syntax-highlighting-5.34.0.tar.xz
-da4b300b11c309f72484235313a27351 ktexteditor-5.34.0.tar.xz
-760797a5697383a23dc28c043776f6b7 kdesignerplugin-5.34.0.tar.xz
-3e70566a1e059a7885270074e46b35f0 kwayland-5.34.0.tar.xz
-848bae2f46d63821c4fbf846bdd83b0e plasma-framework-5.34.0.tar.xz
-#7a1f0c8875efbbaedfaffe4d6f011524 modemmanager-qt-5.34.0.tar.xz
-b03e735f9113b177a9a840c8910c8e02 kpeople-5.34.0.tar.xz
-354e45b75119676fb673bce110f040cd kxmlrpcclient-5.34.0.tar.xz
-479152445f04a630a23003c736f54914 bluez-qt-5.34.0.tar.xz
-a7341eb3e20f180066470ba38533447c kfilemetadata-5.34.0.tar.xz
-2545137d47bf0545f0b99d73520e65e5 baloo-5.34.0.tar.xz
-#9d13ea7dcd31efb400e2f5a64db48179 breeze-icons-5.34.0.tar.xz
-#0353fbb43ad0892e6f16cca840523493 oxygen-icons5-5.34.0.tar.xz
-8209b9213c04802a99c6e70dbec61054 kactivities-stats-5.34.0.tar.xz
-7c6f7f251f56b74619cf7cb2cfea857d krunner-5.34.0.tar.xz
-#c9bd6c1897c8632b7241293ea1bbb4ab prison-5.34.0.tar.xz
-fae3d8d37d54013e413c9df92df8848f kjs-5.34.0.tar.xz
-ae382b0889fd76f0c28ebed4de08f816 kdelibs4support-5.34.0.tar.xz
-9c698d6d09b31a537ac6cdf31aa90de7 khtml-5.34.0.tar.xz
-b7da8abba8b5e9c9e359d40e73ba3c6f kjsembed-5.34.0.tar.xz
-3d3ff38e82c4ade51ac7045b4bed1196 kmediaplayer-5.34.0.tar.xz
-c211cb58f6c4a6082cb431fa536229dd kross-5.34.0.tar.xz</literal>
+<literal>b6c54ce0f87384c070e3dfb5488380c5  attica-5.37.0.tar.xz
+#29883c1580c5b9e4c736a138fc832e1a  extra-cmake-modules-5.37.0.tar.xz
+d359828a8c026643374782268e099372  kapidox-5.37.0.tar.xz
+141bf68d72d41056b1d1485da8a47a9e  karchive-5.37.0.tar.xz
+8d85c7e7e8fcafd111ee4926160c60e4  kcodecs-5.37.0.tar.xz
+b25eebcac5447af9435f2effc2f566ce  kconfig-5.37.0.tar.xz
+76bf9525d2eebf95fbc4dde189b7dc74  kcoreaddons-5.37.0.tar.xz
+2697c6440c566da94341f4bc3bf3164c  kdbusaddons-5.37.0.tar.xz
+e12d09fb176c0533d2a4eed6b43cbfc3  kdnssd-5.37.0.tar.xz
+a395b2479d99128cba078c3a1299a566  kguiaddons-5.37.0.tar.xz
+97bdebb717431b400add03d60484db72  ki18n-5.37.0.tar.xz
+e070c69d7785532d0671a077e3cc370f  kidletime-5.37.0.tar.xz
+127c01934d68a3b3b88231e9602831e5  kimageformats-5.37.0.tar.xz
+db88454a0c4335432055ac074104dc43  kitemmodels-5.37.0.tar.xz
+062bfca05e8bb81fa8eb360c6944d75f  kitemviews-5.37.0.tar.xz
+12f507e62783ce6a17e61328b3a85b07  kplotting-5.37.0.tar.xz
+70161280f8e10ac69fc7d334a8531fdd  kwidgetsaddons-5.37.0.tar.xz
+05864840b694d3a587590c38e2170df0  kwindowsystem-5.37.0.tar.xz
+80523443bbb0a0882631f22793e7ff9c  networkmanager-qt-5.37.0.tar.xz
+edf069c6ea563318ae710a36d55af35a  solid-5.37.0.tar.xz
+3e2a53802d204bc73d975fd769cbdae2  sonnet-5.37.0.tar.xz
+bd38a5cc79c9f2dc8e7f0fcf7df482c9  threadweaver-5.37.0.tar.xz
+ed6136acf490dcdaa145e09f2f517338  kauth-5.37.0.tar.xz
+b0efe7abac21241f3b5933c5b1ddb8ef  kcompletion-5.37.0.tar.xz
+34d013abaaae22b45a46956997b0b82c  kcrash-5.37.0.tar.xz
+fe3f523474c3e65a86884b3e88a18d2a  kdoctools-5.37.0.tar.xz
+c5732adada0f8ab44eaefbfd458351c4  kpty-5.37.0.tar.xz
+6260f91d8340ab7505dbefd58cc7d3bf  kunitconversion-5.37.0.tar.xz
+e13440e05800f7187c7e98eb6babfa96  kconfigwidgets-5.37.0.tar.xz
+d2d343de16c69c7b5d8c492fefa3115f  kservice-5.37.0.tar.xz
+36bf35d34827bb6b78c7b4cb8be3c554  kglobalaccel-5.37.0.tar.xz
+b594e9d93bcfac2f6b2aa98f2642f9ca  kpackage-5.37.0.tar.xz
+d717f6061cac42035e133618bf043965  kdesu-5.37.0.tar.xz
+cc5ff7c6f686c1278d56fcec5df38222  kemoticons-5.37.0.tar.xz
+47babcad619664866c880623fd86ff2f  kiconthemes-5.37.0.tar.xz
+8c5f7d0160aadeb1392e44315bd3c706  kjobwidgets-5.37.0.tar.xz
+b8fe7fc1e9180d7a2519d8401b42cd65  knotifications-5.37.0.tar.xz
+deda1b1ac51fe9e4859bafb7c0144133  ktextwidgets-5.37.0.tar.xz
+ef28a72da7beffaef6dfcaebcb509d30  kxmlgui-5.37.0.tar.xz
+da82f6881e3b1de522b0ca6ce80c7634  kbookmarks-5.37.0.tar.xz
+e5900cdfe4a4958965e25002b9f1cab8  kwallet-5.37.0.tar.xz
+6d46bb8e26222e3c68a60611c62cd298  kio-5.37.0.tar.xz
+6313ca5c3501ce1f4d00ceef3a441ced  kdeclarative-5.37.0.tar.xz
+d3a81d2cf8d4bcdcb8f1b4a018107e99  kcmutils-5.37.0.tar.xz
+0b620a47aca20b155ae461e12a437ae5  knewstuff-5.37.0.tar.xz
+5cb0433c25ace0fad2b49cf3b8459704  frameworkintegration-5.37.0.tar.xz
+a931963d19b927560b5d81f4fb8bec12  kinit-5.37.0.tar.xz
+10db039a62f903c42ddbe762fcef13b1  knotifyconfig-5.37.0.tar.xz
+1fde7d6c99345e29d7c0a900a8c67659  kparts-5.37.0.tar.xz
+53162e9c01be1e793e6407d2d3cde628  kactivities-5.37.0.tar.xz
+ecff152277532d352cb2957a81c44300  kded-5.37.0.tar.xz
+f24c53f5b36d23d24ca0b96f027051e0  kdewebkit-5.37.0.tar.xz
+a6033d9a6240b133938602a4b7cb98d6  syntax-highlighting-5.37.0.tar.xz
+b33dcff501812990fd3065a42264aca2  ktexteditor-5.37.0.tar.xz
+2790a476fd712e9c9686a6ff151267dc  kdesignerplugin-5.37.0.tar.xz
+a1ebab3f95697555278c3bef60647647  kwayland-5.37.0.tar.xz
+e73d212673dd92bfc4b943f9d1a21be4  plasma-framework-5.37.0.tar.xz
+#b814194b5e8e03c04736567e178d1932  modemmanager-qt-5.37.0.tar.xz
+06fbfd8fa30aace3d75fc156de5417d3  kpeople-5.37.0.tar.xz
+8372393ce57eb14fb85e54602e24ae47  kxmlrpcclient-5.37.0.tar.xz
+4eed8acd2acb2633cba4dd7f8a248b49  bluez-qt-5.37.0.tar.xz
+438fe87d54d35f99a71a61cf3b8a9944  kfilemetadata-5.37.0.tar.xz
+f317f652591702315c7a9f0d8f95031a  baloo-5.37.0.tar.xz
+#bf3a1386e6b3daf7b6ee27d59bd55a91  breeze-icons-5.37.0.tar.xz
+#3f7cdadd2adc1b82b5600fbea90d0888  oxygen-icons5-5.37.0.tar.xz
+18dcba6b6021a6ec21617816113b62fa  kactivities-stats-5.37.0.tar.xz
+ebac192db60aac4edf29da8cf09b6bd9  krunner-5.37.0.tar.xz
+#f4e54c14d94e70c154ebc4d57d868b2f  prison-5.37.0.tar.xz
+#74de56d367913ec08c547e916bfe3b24  kirigami2-5.37.0.tar.xz
+4ef52deab5f709ddf0d3e99bf7747077  kjs-5.37.0.tar.xz
+7584d933213c7a3f56c55f1eede7b717  kdelibs4support-5.37.0.tar.xz
+691bc2e2a5b763e21333fbac28d039b3  khtml-5.37.0.tar.xz
+d21ea2f8177d503b826809b614e37471  kjsembed-5.37.0.tar.xz
+73d2101fb4aa04df9918b46e1e91bf7a  kmediaplayer-5.37.0.tar.xz
+cd2f2748eed19cfe8552b6444c27a021  kross-5.37.0.tar.xz</literal>
 EOF</userinput></screen>
 
@@ -261,5 +262,8 @@
   linkend="oxygen-icons5"/>.  The modemmanager-qt package may be built if its
   optional dependency has been installed. The prison package (bar code reader)
-  may be built if the required external libraries are installed.</para>
+  may be built if the required external libraries are installed. The kirigami2
+  package is a set of libraries for the android platform (see <ulink
+  url="https://techbase.kde.org/Kirigami">https://techbase.kde.org/Kirigami</ulink>
+  for more information.)</para>
 
   </sect2>
@@ -307,4 +311,10 @@
     tar -xf $file
     pushd $packagedir
+
+      case $packagedir in
+        syntax-highlighting* )
+          sed -i.orig 's|w-|w\\-|' data/syntax/rest.xml
+        ;;
+      esac
 
       mkdir build
@@ -320,5 +330,4 @@
 
   popd
-
 <!-- some packages end with files owned by root in $packagedir, so use as_root
      in the following -->
Index: kde/libdbusmenuqt.xml
===================================================================
--- kde/libdbusmenuqt.xml	(revision 601e298d583865b96bd7243c666ef316f4def71f)
+++ kde/libdbusmenuqt.xml	(revision 00f9a2a130bc0b2cf0553dda9f866b852242824e)
@@ -33,5 +33,5 @@
     of the DBusMenu specification that exposes menus via DBus.</para>
 
-    &lfs80_checked;
+    &lfs81_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/phonon-backend-gstreamer.xml
===================================================================
--- kde/phonon-backend-gstreamer.xml	(revision 601e298d583865b96bd7243c666ef316f4def71f)
+++ kde/phonon-backend-gstreamer.xml	(revision 00f9a2a130bc0b2cf0553dda9f866b852242824e)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs80_checked;
+    &lfs81_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/phonon-backend-vlc.xml
===================================================================
--- kde/phonon-backend-vlc.xml	(revision 601e298d583865b96bd7243c666ef316f4def71f)
+++ kde/phonon-backend-vlc.xml	(revision 00f9a2a130bc0b2cf0553dda9f866b852242824e)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs80_checked;
+    &lfs81_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/phonon.xml
===================================================================
--- kde/phonon.xml	(revision 601e298d583865b96bd7243c666ef316f4def71f)
+++ kde/phonon.xml	(revision 00f9a2a130bc0b2cf0553dda9f866b852242824e)
@@ -34,5 +34,5 @@
     Phonon needs either the GStreamer or VLC backend.</para>
 
-    &lfs80_checked;
+    &lfs81_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/polkit-qt.xml
===================================================================
--- kde/polkit-qt.xml	(revision 601e298d583865b96bd7243c666ef316f4def71f)
+++ kde/polkit-qt.xml	(revision 00f9a2a130bc0b2cf0553dda9f866b852242824e)
@@ -33,5 +33,5 @@
     the Qt environment. </para>
 
-    &lfs80_checked;
+    &lfs81_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: lxqt/desktop/lxqt-kguiaddons.xml
===================================================================
--- lxqt/desktop/lxqt-kguiaddons.xml	(revision 601e298d583865b96bd7243c666ef316f4def71f)
+++ lxqt/desktop/lxqt-kguiaddons.xml	(revision 00f9a2a130bc0b2cf0553dda9f866b852242824e)
@@ -7,5 +7,5 @@
   <!ENTITY kguiaddons-download-http "&kf5-download-http;/kguiaddons-&kf5-version;.tar.xz">
   <!ENTITY kguiaddons-download-ftp  " ">
-  <!ENTITY kguiaddons-md5sum        "05a622fc98d4f748d5f50d15a579b34d">
+  <!ENTITY kguiaddons-md5sum        "a395b2479d99128cba078c3a1299a566">
   <!ENTITY kguiaddons-size          "40 KB">
   <!ENTITY kguiaddons-buildsize     "2.1 MB">
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs80_checked;
+    &lfs81_checked;
 
     <note><para>This package is extracted from the KF5 set of packages.  If
@@ -102,5 +102,4 @@
 cmake -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
       -DCMAKE_BUILD_TYPE=Release          \
-      -DCMAKE_INSTALL_LIBDIR=lib          \
       -DBUILD_TESTING=OFF                 \
       -Wno-dev ..                         &amp;&amp;
Index: lxqt/desktop/lxqt-kidletime.xml
===================================================================
--- lxqt/desktop/lxqt-kidletime.xml	(revision 601e298d583865b96bd7243c666ef316f4def71f)
+++ lxqt/desktop/lxqt-kidletime.xml	(revision 00f9a2a130bc0b2cf0553dda9f866b852242824e)
@@ -7,6 +7,6 @@
   <!ENTITY kidletime-download-http "&kf5-download-http;/kidletime-&kf5-version;.tar.xz">
   <!ENTITY kidletime-download-ftp  " ">
-  <!ENTITY kidletime-md5sum        "3702887f8dd903ee62d51d26da2fbd21">
-  <!ENTITY kidletime-size          "28 KB">
+  <!ENTITY kidletime-md5sum        "e070c69d7785532d0671a077e3cc370f">
+  <!ENTITY kidletime-size          "26 KB">
   <!ENTITY kidletime-buildsize     "2.0 MB">
   <!ENTITY kidletime-time          "0.1 SBU">
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs80_checked;
+    &lfs81_checked;
 
     <note><para>This package is extracted from the KF5 set of packages.  If
@@ -102,5 +102,4 @@
 cmake -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
       -DCMAKE_BUILD_TYPE=Release          \
-      -DCMAKE_INSTALL_LIBDIR=lib          \
       -DBUILD_TESTING=OFF                 \
       -Wno-dev ..                         &amp;&amp;
Index: lxqt/desktop/lxqt-kwayland.xml
===================================================================
--- lxqt/desktop/lxqt-kwayland.xml	(revision 601e298d583865b96bd7243c666ef316f4def71f)
+++ lxqt/desktop/lxqt-kwayland.xml	(revision 00f9a2a130bc0b2cf0553dda9f866b852242824e)
@@ -7,6 +7,6 @@
   <!ENTITY kwayland-download-http "&kf5-download-http;/kwayland-&kf5-version;.tar.xz">
   <!ENTITY kwayland-download-ftp  " ">
-  <!ENTITY kwayland-md5sum        "3e70566a1e059a7885270074e46b35f0">
-  <!ENTITY kwayland-size          "256 KB">
+  <!ENTITY kwayland-md5sum        "a1ebab3f95697555278c3bef60647647">
+  <!ENTITY kwayland-size          "257 KB">
   <!ENTITY kwayland-buildsize     "17 MB">
   <!ENTITY kwayland-time          "0.8 SBU">
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs80_checked;
+    &lfs81_checked;
 
     <note>
@@ -107,5 +107,4 @@
 cmake -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX                          \
       -DCMAKE_BUILD_TYPE=Release                                   \
-      -DCMAKE_INSTALL_LIBDIR=lib                                   \
       -DBUILD_TESTING=OFF                                          \
       -DECM_MKSPECS_INSTALL_DIR=$LXQT_PREFIX/share/mkspecs/modules \
Index: lxqt/desktop/lxqt-kwindowsystem.xml
===================================================================
--- lxqt/desktop/lxqt-kwindowsystem.xml	(revision 601e298d583865b96bd7243c666ef316f4def71f)
+++ lxqt/desktop/lxqt-kwindowsystem.xml	(revision 00f9a2a130bc0b2cf0553dda9f866b852242824e)
@@ -7,5 +7,5 @@
   <!ENTITY kwindowsystem-download-http "&kf5-download-http;/kwindowsystem-&kf5-version;.tar.xz">
   <!ENTITY kwindowsystem-download-ftp  " ">
-  <!ENTITY kwindowsystem-md5sum        "aca305a63b8ae3244d92c394d9d3840e">
+  <!ENTITY kwindowsystem-md5sum        "05864840b694d3a587590c38e2170df0">
   <!ENTITY kwindowsystem-size          "164 KB">
   <!ENTITY kwindowsystem-buildsize     "11 MB">
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs80_checked;
+    &lfs81_checked;
 
     <note><para>This package is extracted from the KF5 set of packages.  If
@@ -104,5 +104,4 @@
 cmake -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
       -DCMAKE_BUILD_TYPE=Release          \
-      -DCMAKE_INSTALL_LIBDIR=lib          \
       -DBUILD_TESTING=OFF                 \
       -Wno-dev ..                         &amp;&amp;
Index: lxqt/desktop/lxqt-solid.xml
===================================================================
--- lxqt/desktop/lxqt-solid.xml	(revision 601e298d583865b96bd7243c666ef316f4def71f)
+++ lxqt/desktop/lxqt-solid.xml	(revision 00f9a2a130bc0b2cf0553dda9f866b852242824e)
@@ -7,6 +7,6 @@
   <!ENTITY solid-download-http "&kf5-download-http;/solid-&kf5-version;.tar.xz">
   <!ENTITY solid-download-ftp  " ">
-  <!ENTITY solid-md5sum        "43050a891de0be5d79ac488e56012398">
-  <!ENTITY solid-size          "244 KB">
+  <!ENTITY solid-md5sum        "edf069c6ea563318ae710a36d55af35a">
+  <!ENTITY solid-size          "243 KB">
   <!ENTITY solid-buildsize     "28 MB">
   <!ENTITY solid-time          "1.3 SBU">
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs80_checked;
+    &lfs81_checked;
 
     <note><para>This package is extracted from the KF5 set of packages.  If
@@ -110,5 +110,4 @@
 cmake -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
       -DCMAKE_BUILD_TYPE=Release          \
-      -DCMAKE_INSTALL_LIBDIR=lib          \
       -DBUILD_TESTING=OFF                 \
       -Wno-dev ..                         &amp;&amp;
Index: networking/connect/dhcpcd.xml
===================================================================
--- networking/connect/dhcpcd.xml	(revision 601e298d583865b96bd7243c666ef316f4def71f)
+++ networking/connect/dhcpcd.xml	(revision 00f9a2a130bc0b2cf0553dda9f866b852242824e)
@@ -36,5 +36,5 @@
     DHCP client.</para>
 
-    &lfs80_checked;
+    &lfs81_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netlibs/libndp.xml
===================================================================
--- networking/netlibs/libndp.xml	(revision 601e298d583865b96bd7243c666ef316f4def71f)
+++ networking/netlibs/libndp.xml	(revision 00f9a2a130bc0b2cf0553dda9f866b852242824e)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs80_checked;
+    &lfs81_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netutils/networkmanager.xml
===================================================================
--- networking/netutils/networkmanager.xml	(revision 601e298d583865b96bd7243c666ef316f4def71f)
+++ networking/netutils/networkmanager.xml	(revision 00f9a2a130bc0b2cf0553dda9f866b852242824e)
@@ -9,8 +9,8 @@
   <!ENTITY NetworkManager-download-ftp
            "&gnome-download-ftp;/NetworkManager/1.8/NetworkManager-&NetworkManager-version;.tar.xz">
-  <!ENTITY NetworkManager-md5sum        "de0e70933a17ee6a682e8440015c9b1e">
+  <!ENTITY NetworkManager-md5sum        "">
   <!ENTITY NetworkManager-size          "3.6 MB">
-  <!ENTITY NetworkManager-buildsize     "612 MB (with tests)">
-  <!ENTITY NetworkManager-time          "2.8 SBU (with tests)">
+  <!ENTITY NetworkManager-buildsize     "560 MB (with tests)">
+  <!ENTITY NetworkManager-time          "2.2 SBU (with parallelism=4, with tests)">
 ]>
 
@@ -41,5 +41,5 @@
     </para>
 
-    &lfs80_checked;
+    &lfs81_checked;
 
     <note revision="systemd">
Index: packages.ent
===================================================================
--- packages.ent	(revision 601e298d583865b96bd7243c666ef316f4def71f)
+++ packages.ent	(revision 00f9a2a130bc0b2cf0553dda9f866b852242824e)
@@ -437,5 +437,5 @@
 <!ENTITY bind-version                 "&bind-minor-version;.2">
 <!ENTITY mod_dnssd-version            "0.6">
-<!ENTITY NetworkManager-version       "1.8.0">
+<!ENTITY NetworkManager-version       "1.8.2">
 <!ENTITY nmap-version                 "7.60">
 <!ENTITY traceroute-version           "2.1.0">
@@ -596,7 +596,7 @@
 
 <!-- KF5 and Plasma -->
-<!ENTITY kf5-version           "5.34.0">
-<!ENTITY kf5-short-version     "5.34">
-<!ENTITY kf5-base              "5.34">
+<!ENTITY kf5-version           "5.37.0">
+<!ENTITY kf5-short-version     "5.37">
+<!ENTITY kf5-base              "5.37">
 <!ENTITY kf5-download-http     "http://download.kde.org/stable/frameworks/&kf5-base;">
 
Index: postlfs/security/iptables.xml
===================================================================
--- postlfs/security/iptables.xml	(revision 601e298d583865b96bd7243c666ef316f4def71f)
+++ postlfs/security/iptables.xml	(revision 00f9a2a130bc0b2cf0553dda9f866b852242824e)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs80_checked;
+    &lfs81_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xsoft/other/fontforge.xml
===================================================================
--- xsoft/other/fontforge.xml	(revision 601e298d583865b96bd7243c666ef316f4def71f)
+++ xsoft/other/fontforge.xml	(revision 00f9a2a130bc0b2cf0553dda9f866b852242824e)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs80_checked;
+    &lfs81_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>