Index: general/genlib/expat/expat.ent
===================================================================
--- general/genlib/expat/expat.ent	(revision 4ea49a3171ac6bc1c2eb4e282d7b1850616fc429)
+++ general/genlib/expat/expat.ent	(revision 1ea79a1833f0fbd5e1efeb7389093d802cb536d3)
@@ -5,4 +5,5 @@
 <!ENTITY expat-version "1.95.7">
 <!ENTITY expat-download-http "http://umn.dl.sourceforge.net/sourceforge/expat/expat-&expat-version;.tar.gz">
+<!-- <!ENTITY expat-download-ftp "ftp://ftp.at.linuxfromscratch.org/opsys/linux/sf/e/expat/expat-&expat-version;.tar.gz"> -->
 <!ENTITY expat-download-ftp " ">
 <!ENTITY expat-size "290 KB">
Index: general/genlib/fam/fam-desc.xml
===================================================================
--- general/genlib/fam/fam-desc.xml	(revision 4ea49a3171ac6bc1c2eb4e282d7b1850616fc429)
+++ general/genlib/fam/fam-desc.xml	(revision 1ea79a1833f0fbd5e1efeb7389093d802cb536d3)
@@ -2,7 +2,7 @@
 <title>Contents</title>
 
-<para>The <application><acronym>FAM</acronym></application> package contains 
-<command>famd</command> executable and
-<filename>libfam</filename> libraries.</para>
+<para>The <application><acronym>FAM</acronym></application> package contains
+the <command>famd</command> executable and <filename>libfam</filename>
+libraries.</para>
 
 </sect2>
Index: general/genlib/genlib.xml
===================================================================
--- general/genlib/genlib.xml	(revision 4ea49a3171ac6bc1c2eb4e282d7b1850616fc429)
+++ general/genlib/genlib.xml	(revision 1ea79a1833f0fbd5e1efeb7389093d802cb536d3)
@@ -11,5 +11,5 @@
 the <application>C</application> library functions which programs use.</para>
 
-<para>There are two types of library, static and shared.  Shared libraries 
+<para>There are two types of libraries: static and shared.  Shared libraries 
 (usually <filename>libXXX.so</filename>) are loaded into memory from the shared
 copy at runtime (hence the name).  Static libraries (<filename>libXXX.a
@@ -19,11 +19,11 @@
 
 <para>Generally, you only need to install libraries when you are
-installing software which requires functionality which they supply.  In
-the <acronym>BLFS</acronym> book, each package is listed with a list of (known)
+installing software that needs the functionality they supply.  In
+the <acronym>BLFS</acronym> book, each package is presented with a list of (known)
 dependencies.  Thus, you can figure out which libraries you need to have
 before installing that program.  If you are installing something without
-using <acronym>BLFS</acronym> instructions, usually the <filename>README
-</filename>  or <filename>INSTALL</filename> file will contain details of the 
-programs requirements.</para>
+using <acronym>BLFS</acronym> instructions, usually the <filename>README</filename>
+or <filename>INSTALL</filename> file will contain details of the 
+program's requirements.</para>
 
 <para>There are certain libraries which nearly <emphasis>everyone</emphasis> 
Index: general/genlib/gmp/gmp-intro.xml
===================================================================
--- general/genlib/gmp/gmp-intro.xml	(revision 4ea49a3171ac6bc1c2eb4e282d7b1850616fc429)
+++ general/genlib/gmp/gmp-intro.xml	(revision 1ea79a1833f0fbd5e1efeb7389093d802cb536d3)
@@ -3,5 +3,5 @@
 
 <para>The <application><acronym>GMP</acronym></application> package
-contains an math library. This has useful functions for arbitrary precision 
+contains a math library. This has useful functions for arbitrary precision 
 arithmetic.</para>
 
Index: general/genlib/pcre/pcre-inst.xml
===================================================================
--- general/genlib/pcre/pcre-inst.xml	(revision 4ea49a3171ac6bc1c2eb4e282d7b1850616fc429)
+++ general/genlib/pcre/pcre-inst.xml	(revision 1ea79a1833f0fbd5e1efeb7389093d802cb536d3)
@@ -10,5 +10,5 @@
 <para>If you reinstall <application>grep</application> after installing <application>pcre</application>,
 <application>grep</application> will get linked against <application>pcre</application> and
-may cause problems if <filename>/usr</filename> is a seperate mount point. To avoid this,
+may cause problems if <filename>/usr</filename> is a separate mount point. To avoid this,
 either pass the option <emphasis>--disable-perl-regexp</emphasis> when executing <command>./configure</command>
 for <application>grep</application> or move <filename>libpcre</filename> to <filename>/lib</filename>
Index: general/genlib/readline/readline-exp.xml
===================================================================
--- general/genlib/readline/readline-exp.xml	(revision 4ea49a3171ac6bc1c2eb4e282d7b1850616fc429)
+++ general/genlib/readline/readline-exp.xml	(revision 1ea79a1833f0fbd5e1efeb7389093d802cb536d3)
@@ -2,8 +2,8 @@
 <title>Command explanations</title>
 
-<para><command>make SHLIB_LIBS=-lcurses</command>: These command makes
-the proper symbols available for applications that assume
-<application>readline</application> is compiled linked to
-<application>ncurses</application>.</para>
+<para><command>make SHLIB_LIBS=-lcurses</command>: This command makes the
+proper symbols available for applications that assume
+<application>readline</application> is compiled with
+<application>ncurses</application> links.</para>
 
 </sect2>
Index: general/prog/jdk/j2sdk-inst.xml
===================================================================
--- general/prog/jdk/j2sdk-inst.xml	(revision 4ea49a3171ac6bc1c2eb4e282d7b1850616fc429)
+++ general/prog/jdk/j2sdk-inst.xml	(revision 1ea79a1833f0fbd5e1efeb7389093d802cb536d3)
@@ -5,8 +5,7 @@
 either or both.</para>
 
-<para>Installation of the precompiled <acronym>JDK</acronym> is easy, change 
-the executable bit for the downloaded file, change to the directory where you 
-want it installed and execute the downloaded file. The following (slightly
-cryptic version) allows automatic installation.</para>
+<para>Installation of the precompiled <acronym>JDK</acronym> is easy: 
+create a directory to install from, copy the .bin there, and run the 
+following commands:</para>
 
 <screen><userinput><command>VERSION=&j2sdk-bin-version; &amp;&amp;
@@ -22,5 +21,5 @@
 mv * /opt/j2sdk/j2sdk-precompiled-${MV}</command></userinput></screen>
 
-<para>The binary version is now installed.</para>
+<para>The binary version is now installed.  </para>
 
 <para>If you don't want to compile the source or are not in a postition to download the source
Index: gnome/add/gnome-games/gnome-games-inst.xml
===================================================================
--- gnome/add/gnome-games/gnome-games-inst.xml	(revision 4ea49a3171ac6bc1c2eb4e282d7b1850616fc429)
+++ gnome/add/gnome-games/gnome-games-inst.xml	(revision 1ea79a1833f0fbd5e1efeb7389093d802cb536d3)
@@ -3,5 +3,5 @@
 
 <para><application><acronym>GNOME</acronym> Games</application> needs to
-be setgid to track high scores. Create a seperate user and group for games.
+be setgid to track high scores. Create a separate user and group for games.
 See the <filename>README</filename> file in the source directory for more
 information:</para>
Index: postlfs/config/bootdisk.xml
===================================================================
--- postlfs/config/bootdisk.xml	(revision 4ea49a3171ac6bc1c2eb4e282d7b1850616fc429)
+++ postlfs/config/bootdisk.xml	(revision 1ea79a1833f0fbd5e1efeb7389093d802cb536d3)
@@ -72,5 +72,5 @@
 compiler for this kernel.  If you do so, don't overlook any loadable
 modules (which are not addressed here) you might need - they need to be
-compiled with same compiler used to make the kernel.</para>
+compiled with the same compiler used to make the kernel.</para>
 
 <para>The rescue image must include support for the file system of your
@@ -407,5 +407,5 @@
 <screen><userinput><command>mv GNUmakefile Makefile &amp;&amp;
 make &amp;&amp;
-make PREFIX=/mnt/loop1 install &amp;&amp;</command></userinput></screen>
+make PREFIX=/mnt/loop1 install</command></userinput></screen>
 
 <para><emphasis>Install part of <application>e2fsprogs</application></emphasis></para>
@@ -496,9 +496,9 @@
 
 <screen><userinput><command>strip -p --strip-unneeded --remove-section=.comment \
-&nbsp;&nbsp;&nbsp;&nbsp;-o /mnt/loop1/lib/libc.so.6 /lib/libc-2.3.2.so &amp;&amp;
+&nbsp;&nbsp;&nbsp;&nbsp;-o /mnt/loop1/lib/libc.so.6 /lib/libc-2.3.3.so &amp;&amp;
 strip -p --strip-unneeded --remove-section=.comment \
-&nbsp;&nbsp;&nbsp;&nbsp;-o /mnt/loop1/lib/ld-linux.so.2 /lib/ld-2.3.2.so &amp;&amp;
+&nbsp;&nbsp;&nbsp;&nbsp;-o /mnt/loop1/lib/ld-linux.so.2 /lib/ld-2.3.3.so &amp;&amp;
 strip -p --strip-unneeded --remove-section=.comment \
-&nbsp;&nbsp;&nbsp;&nbsp;-o /mnt/loop1/lib/libdl.so.2 /lib/libdl-2.3.2.so &amp;&amp;
+&nbsp;&nbsp;&nbsp;&nbsp;-o /mnt/loop1/lib/libdl.so.2 /lib/libdl-2.3.3.so &amp;&amp;
 chmod 555 /mnt/loop1/lib/{libc.so.6,ld-linux.so.2,libdl.so.2}</command></userinput></screen>  
 
Index: postlfs/config/compressdoc.xml
===================================================================
--- postlfs/config/compressdoc.xml	(revision 4ea49a3171ac6bc1c2eb4e282d7b1850616fc429)
+++ postlfs/config/compressdoc.xml	(revision 1ea79a1833f0fbd5e1efeb7389093d802cb536d3)
@@ -6,5 +6,5 @@
 bzip2'ed pages, a feature you can use to free some disk space while keeping
 your documentation available. However, things are not that simple: man
-directories tend to contain links - hard and symbolic - which defeat simple
+directories tend to contain links&mdash;hard and symbolic&mdash;which defeat simple
 ideas like recursively calling <command>gzip</command> on them. A better way 
 to go is to use the script below.
@@ -460,10 +460,10 @@
 <command>compressdoc --bz2</command> to compress all your system man 
 pages. You can also run <command>compressdoc --help</command> to get 
-a comprehensive help about what the script is able to do.</para>
+comprehensive help about what the script is able to do.</para>
 
 <para> Don't forget that a few programs, like the <application>X</application> 
-Window system, <application>XEmacs</application>, also install their 
+Window system and <application>XEmacs</application> also install their 
 documentation in non standard places (such as <filename class="directory"> 
-/usr/X11R6/man</filename>, etc...). Don't forget to add those locations in the 
+/usr/X11R6/man</filename>, etc...). Be sure to add these locations to the 
 file <filename>/etc/man.conf</filename>, as a
 <envar>MANPATH</envar>=<replaceable>/path</replaceable> section.</para>
Index: postlfs/config/inputrc.xml
===================================================================
--- postlfs/config/inputrc.xml	(revision 4ea49a3171ac6bc1c2eb4e282d7b1850616fc429)
+++ postlfs/config/inputrc.xml	(revision 1ea79a1833f0fbd5e1efeb7389093d802cb536d3)
@@ -5,6 +5,6 @@
 <para><filename>Inputrc</filename> deals with the mapping of the keyboard for 
 certain situations.  This file is the start-up file used by
-<application>readline</application> - the input related library used by 
-<application>Bash</application> and most other shells.</para>
+<application>readline</application>&mdash;the input related library used by 
+<application>bash</application> and most other shells.</para>
 
 <para>For more information see <command>info bash</command> -- <emphasis
Index: postlfs/config/netfs.xml
===================================================================
--- postlfs/config/netfs.xml	(revision 4ea49a3171ac6bc1c2eb4e282d7b1850616fc429)
+++ postlfs/config/netfs.xml	(revision 1ea79a1833f0fbd5e1efeb7389093d802cb536d3)
@@ -4,9 +4,9 @@
 
 <para>While <acronym>LFS</acronym> is capable of mounting network file
-systems such as <acronym>NFS</acronym> these are not mounted by
-<filename>mountfs</filename> init script since the tools needed to mount
-these systems may not be available on the root partition and also since
-network file systems need to be mounted after the networking is on and
-need to be unmounted before the network goes down.</para>
+systems such as <acronym>NFS</acronym> these are not mounted by the
+<filename>mountfs</filename> init script.  The tools needed to mount
+these systems may not be available on the root partition and the
+network file systems need to be mounted after the networking is activated.
+These file systems also need to be unmounted before the network goes down.</para>
 
 <para>Install the <filename>/etc/rc.d/init.d/netfs</filename>
Index: postlfs/config/skel.xml
===================================================================
--- postlfs/config/skel.xml	(revision 4ea49a3171ac6bc1c2eb4e282d7b1850616fc429)
+++ postlfs/config/skel.xml	(revision 1ea79a1833f0fbd5e1efeb7389093d802cb536d3)
@@ -53,5 +53,5 @@
 <para><emphasis>/etc/skel</emphasis></para>
 
-<para>To get started create an <filename class="directory">/etc/skel</filename> directory
+<para>To get started, create an <filename class="directory">/etc/skel</filename> directory
 and make sure it is writable only by the system administrator, usually
 root. Creating the directory as root is the best way to go.</para>
@@ -95,5 +95,5 @@
 <para><emphasis>When Adding a User</emphasis></para>
 
-<para>When adding a new user with <command>useradd</command> use
+<para>When adding a new user with <command>useradd</command>, use
 the <option>-m</option> parameter, which tells
 <command>useradd</command> to create the user's home directory and
Index: postlfs/config/vimrc.xml
===================================================================
--- postlfs/config/vimrc.xml	(revision 4ea49a3171ac6bc1c2eb4e282d7b1850616fc429)
+++ postlfs/config/vimrc.xml	(revision 1ea79a1833f0fbd5e1efeb7389093d802cb536d3)
@@ -3,12 +3,11 @@
 <title>/etc/vimrc, ~/.vimrc</title>
 
-<para>The <acronym>LFS</acronym> book installs
-<application>vim</application> as its editor.  At this point we should
-state that there are a <emphasis>lot</emphasis> of different editors out
-there including <application>emacs</application>,
-<application>nano</application>, <application>joe</application> and many 
-more.  Anyone who has been around the Internet (especially usenet) for a 
-short time will certainly have observed at least one flame war, usually 
-involving <application>vim</application> and
+<para>The <acronym>LFS</acronym> book installs <application>vim</application>
+as its text editor.  At this point we should state that there are a
+<emphasis>lot</emphasis> of different editing applications out there including
+<application>emacs</application>, <application>nano</application>,
+<application>joe</application> and many more.  Anyone who has been around the
+Internet (especially usenet) for a short time will certainly have observed at
+least one flame war, usually involving <application>vim</application> and
 <application>emacs</application> users!</para>
 
@@ -29,5 +28,5 @@
 the file from <filename>/etc/skel/.vimrc</filename> to
 <filename>/etc/vimrc</filename> and the home directory of users already
-on the system, like root. Be sure to set permissions, owner and group if
+on the system, like root. Be sure to set permissions, owner, and group if
 you do copy anything directly from <filename>/etc/skel</filename>.</para>
 
Index: postlfs/editors/emacs/emacs-desc.xml
===================================================================
--- postlfs/editors/emacs/emacs-desc.xml	(revision 4ea49a3171ac6bc1c2eb4e282d7b1850616fc429)
+++ postlfs/editors/emacs/emacs-desc.xml	(revision 1ea79a1833f0fbd5e1efeb7389093d802cb536d3)
@@ -29,6 +29,7 @@
 
 <sect3><title>ebrowse</title>
-<para><command>ebrowse</command> permits browsing of C++ class
-hierarchies from within emacs.</para></sect3>
+
+<para><command>ebrowse</command> permits browsing of C++ class hierarchies from
+within emacs.</para></sect3>
 
 <sect3><title>emacsclient</title>
Index: postlfs/filesystems/reiser/reiser-desc.xml
===================================================================
--- postlfs/filesystems/reiser/reiser-desc.xml	(revision 4ea49a3171ac6bc1c2eb4e282d7b1850616fc429)
+++ postlfs/filesystems/reiser/reiser-desc.xml	(revision 1ea79a1833f0fbd5e1efeb7389093d802cb536d3)
@@ -12,8 +12,9 @@
 
 <sect3><title>debugreiserfs</title>
-<para><command>debugreiserfs</command> can sometimes help to solve problems 
-with <application>ReiserFS</application> file systems.  If it is called without 
-options, it prints the super 
-block of any reiserfs file system found on the device.</para></sect3>
+
+<para><command>debugreiserfs</command> can sometimes help to solve problems
+with <application>ReiserFS</application> file systems.  If it is called without
+options, it prints the super block of any reiserfs file system found on the
+device.</para></sect3>
 
 <sect3><title>mkreiserfs</title>
Index: postlfs/security/cracklib/cracklib-intro.xml
===================================================================
--- postlfs/security/cracklib/cracklib-intro.xml	(revision 4ea49a3171ac6bc1c2eb4e282d7b1850616fc429)
+++ postlfs/security/cracklib/cracklib-intro.xml	(revision 1ea79a1833f0fbd5e1efeb7389093d802cb536d3)
@@ -2,7 +2,6 @@
 <title>Introduction to <application>cracklib</application></title>
 
-<para>The cracklib package contains a library used to enforce strong 
-passwords by comparing user selected passwords to words in a 
-chosen wordlist.</para>
+<para>The cracklib package contains a library used to enforce strong passwords
+by comparing user selected passwords to words in a chosen wordlist.</para>
 
 <sect3><title>Package information</title>
@@ -27,10 +26,10 @@
 </itemizedlist>
 
-<para>You will also need to download a wordlist for use with cracklib.  
-There are two wordlists to choose from at the following location.
-Use the <filename>cracklib</filename> word list for good security,
-or opt for the <filename>allwords</filename> word list for
-lightweight machines short on <acronym>RAM</acronym>.  You can of course choose any other
-word list that you have at your disposal.</para>
+<para>You will also need to download a wordlist for use with cracklib.  There
+are two wordlists to choose from at the following location.  Use the
+<filename>cracklib</filename> word list for good security, or opt for the
+<filename>allwords</filename> word list for lightweight machines short on
+<acronym>RAM</acronym>.  You can of course choose any other word list that you
+have at your disposal.</para>
 
 <para>cracklib (&crackdict-size;): <ulink url="http://www.cotse.com/wordlists/cracklib"/></para>
Index: postlfs/security/firewalling/busybox.xml
===================================================================
--- postlfs/security/firewalling/busybox.xml	(revision 4ea49a3171ac6bc1c2eb4e282d7b1850616fc429)
+++ postlfs/security/firewalling/busybox.xml	(revision 1ea79a1833f0fbd5e1efeb7389093d802cb536d3)
@@ -11,7 +11,7 @@
 
 <para>Be cautious.  Every service you offer and have enabled makes your
-setup more complex and your box less secure: You induce the risks of 
-misconfigured services or running a service with an exploitable bug, both risks 
-that a firewall principally should be immune of. See the introduction to 
+setup more complex and your box less secure. You induce the risks of 
+misconfigured services or running a service with an exploitable bug.  A firewall
+should generally not run any extra services.  See the introduction to 
 <xref linkend="postlfs-security-fw-masqRouter"/> for some more details.</para>
 
@@ -31,6 +31,6 @@
 iptables -A OUTPUT                                      -j ACCEPT</screen>
 
-<para>However, it is generally not advisable to leave OUTPUT unrestricted: you lose 
-any control on trojans who'd like to "call home", and a bit of redundancy in case 
+<para>However, it is generally not advisable to leave OUTPUT unrestricted. You lose 
+any control over trojans who'd like to "call home", and a bit of redundancy in case 
 you've (mis-)configured a service so that it does broadcast its existence to the 
 world.</para>
@@ -59,7 +59,7 @@
 
 <listitem><para><anchor id='postlfs-security-fw-BB-4' xreflabel="example no. 4"/>If you are 
-frequently accessing ftp-servers or enjoy chatting you might notice certain 
+frequently accessing ftp-servers or enjoy chatting, you might notice certain 
 delays because some implementations of these daemons have the feature of 
-querying an identd on your box for your username for logging.
+querying an identd on your box for logging usernames.
 Although there's really no harm in this, having an identd running is not 
 recommended because some implementations are known to be vulnerable.</para>
@@ -71,6 +71,6 @@
 iptables -A OUTPUT -p tcp --sport 113 -m state --state RELATED -j ACCEPT</screen></listitem>
 
-<listitem><para>To log and drop invalid packets, mostly harmless packets
-that came in after netfilter's timeout, sometimes scans:</para>
+<listitem><para>To log and drop invalid packets (harmless packets
+that came in after netfilter's timeout or some types of network scans):</para>
 
 <screen>iptables -I INPUT 1 -p tcp -m state --state INVALID -j LOG --log-prefix \ 
Index: postlfs/security/firewalling/disclaimer.xml
===================================================================
--- postlfs/security/firewalling/disclaimer.xml	(revision 4ea49a3171ac6bc1c2eb4e282d7b1850616fc429)
+++ postlfs/security/firewalling/disclaimer.xml	(revision 1ea79a1833f0fbd5e1efeb7389093d802cb536d3)
@@ -6,10 +6,10 @@
 DOCUMENT.</emphasis></para> -->
 
-<para>This document is meant as an introduction to how to setup a
-firewall - it is not a complete guide to securing systems.  Firewalling
-is a complex issue that requires careful configuration.
-The scripts quoted here are simply intended to give examples as to how
-a firewall works, they are not intended to fit into any imaginable 
-configuration and may not prevent any imaginable attack.</para>
+<para>This document is meant as an introduction to how to setup a firewall.  It
+is not a complete guide to securing systems.  Firewalling is a complex issue
+that requires careful configuration.  The scripts quoted here are simply
+intended to give examples as to how a firewall works, they are not intended to
+fit into any imaginable configuration and may not prevent any imaginable
+attack.</para>
 
 <para>The purpose of this text is simply to give you a hint on how to get
Index: postlfs/security/firewalling/intro.xml
===================================================================
--- postlfs/security/firewalling/intro.xml	(revision 4ea49a3171ac6bc1c2eb4e282d7b1850616fc429)
+++ postlfs/security/firewalling/intro.xml	(revision 1ea79a1833f0fbd5e1efeb7389093d802cb536d3)
@@ -5,5 +5,5 @@
 against malicious access by using a single machine as a firewall. 
 This does imply that the firewall is to be considered a single point 
-of failure, but it can make the administrators life a lot easier.</para>
+of failure, but it can make the administrator's life a lot easier.</para>
 
 <para>In a perfect world where you knew that every daemon or service 
@@ -11,5 +11,5 @@
 buffer-overflows and any other imaginable problem regarding its 
 security, and where you trusted every user accessing your services 
-to aim no harm, you wouldn't need to do have a firewall!  
+to aim no harm, you wouldn't need to have a firewall!  
 In the real world however, daemons may be misconfigured, 
 exploits against essential services are freely available, you 
@@ -21,6 +21,6 @@
 
 <para>Don't assume however, that having a firewall makes careful
-configuration redundant, nor that it makes any negligent
-misconfiguration harmless, nor that it prevents anyone from exploiting a
+configuration redundant, or that it makes any negligent
+misconfiguration harmless. It also doesn't prevent anyone from exploiting a
 service you intentionally offer but haven't recently updated or patched
 after an exploit went public.  Despite having a firewall, you need to
@@ -40,7 +40,7 @@
 companies such as Symantec, of which they claim or pretend that it
 secures a home or desktop-pc with Internet access. This topic is 
-highly relevant for users who do not know the ways their computers 
-might be accessed via the Internet and how to disable these, 
-especially if they are always online and if they are connected via 
+highly relevant for users who do not know the methods their computers 
+might be accessed via the Internet or how to disable them, 
+especially if they are always online and connected via 
 broadband links.</para></sect3>
 
@@ -59,5 +59,5 @@
 performing masquerading or routing functions, but offering a bunch of 
 services, e.g., web-cache, mail, etc.  This may be very commonly used 
-for home networks, but can definitely not to be considered as secure 
+for home networks, but can definitely not be considered as secure 
 anymore because the combining of server and router on one machine raises 
 the complexity of the setup.</para></sect3>
Index: postlfs/security/firewalling/kernel.xml
===================================================================
--- postlfs/security/firewalling/kernel.xml	(revision 4ea49a3171ac6bc1c2eb4e282d7b1850616fc429)
+++ postlfs/security/firewalling/kernel.xml	(revision 1ea79a1833f0fbd5e1efeb7389093d802cb536d3)
@@ -3,5 +3,5 @@
 
 <para>If you want your Linux-Box to have a firewall, you must first ensure 
-that your kernel has been compiled with the relevant options turned on
+that your kernel has been compiled with the relevant options turned on.
 <!-- <footnote><para>If you needed assistance how to configure, compile and install 
 a new kernel, refer back to chapter VIII of the LinuxFromScratch book, 
@@ -10,5 +10,6 @@
 <ulink url="http://www.linuxfromscratch.org/view/3.1/chapter08/lilo.html">Making the LFS system bootable</ulink>
 ; note, that you'll need to reboot 
-to actually run your new kernel.</para></footnote>-->.</para>
+to actually run your new kernel.</para></footnote>-->
+</para>
 
 <para>How to configure your kernel, with enabling the options to be 
Index: postlfs/security/firewalling/masqrouter.xml
===================================================================
--- postlfs/security/firewalling/masqrouter.xml	(revision 4ea49a3171ac6bc1c2eb4e282d7b1850616fc429)
+++ postlfs/security/firewalling/masqrouter.xml	(revision 1ea79a1833f0fbd5e1efeb7389093d802cb536d3)
@@ -82,9 +82,9 @@
 <command>EOF</command></userinput></screen>
 
-<para>With this script your intranet should be sufficiently 
-secure against external attacks: no one should be able to setup a 
-new connection to any internal service and, if it's masqueraded, 
-it s even invisible; furthermore, your firewall should be nearly immune 
-because there are no services running that a cracker could attack.</para>
+<para>With this script your intranet should be sufficiently secure against
+external attacks. No one should be able to setup a new connection to any
+internal service and, if it's masqueraded, it's even invisible. Furthermore,
+your firewall should be nearly immune because there are no services running
+that a cracker could attack.</para>
 
 <para>Note: if the interface you're connecting to the Internet 
@@ -97,5 +97,5 @@
 
 <para>If you need stronger security (e.g., against DOS, connection 
-highjacking, spoofing, etc.) have a look at the list of 
+highjacking, spoofing, etc.), have a look at the list of 
 <xref linkend="postlfs-security-fw-library"/> at the end of this section.</para>
 
Index: postlfs/security/firewalling/persfw.xml
===================================================================
--- postlfs/security/firewalling/persfw.xml	(revision 4ea49a3171ac6bc1c2eb4e282d7b1850616fc429)
+++ postlfs/security/firewalling/persfw.xml	(revision 1ea79a1833f0fbd5e1efeb7389093d802cb536d3)
@@ -2,9 +2,10 @@
 <title>Personal Firewall</title>
 
-<para>A Personal Firewall is supposed to let you access the all services
+<para>A Personal Firewall is supposed to let you access all the services
 offered on the Internet, but keep your box secure and your data private.</para>
 
-<para>Below is a slightly modified version of Rusty Russell's
-recommendation from the <ulink url="http://www.netfilter.org/documentation/HOWTO/packet-filtering-HOWTO.html">Linux
+<para>Below is a slightly modified version of Rusty Russell's recommendation
+from the <ulink
+url="http://www.netfilter.org/documentation/HOWTO/packet-filtering-HOWTO.html">Linux
 2.4 Packet Filtering HOWTO</ulink>:</para>
 
@@ -56,5 +57,5 @@
 <xref linkend="postlfs-security-fw-BB-4"/>.</para>
 
-<para>Even if you have daemons / services running on your box, these
+<para>Even if you have daemons or services running on your box, these
 should be inaccessible everywhere but from your box itself.
 If you want to allow access to services on your machine, such as ssh or pinging, 
Index: postlfs/security/pam/linux_pam-config.xml
===================================================================
--- postlfs/security/pam/linux_pam-config.xml	(revision 4ea49a3171ac6bc1c2eb4e282d7b1850616fc429)
+++ postlfs/security/pam/linux_pam-config.xml	(revision 1ea79a1833f0fbd5e1efeb7389093d802cb536d3)
@@ -9,8 +9,7 @@
 <sect3><title>Configuration Information</title>
 
-<para>Configuration information is placed in <filename>/etc/pam.d</filename> or 
-<filename>/etc/pam.conf</filename> depending on the application that is using 
-<application><acronym>PAM</acronym></application>. Below are example files of
-each type:</para>
+<para>Configuration information is placed in <filename>/etc/pam.d</filename> or
+<filename>/etc/pam.conf</filename> depending on user preference.  Below are
+example files of each type:</para>
 
 <screen># Begin /etc/pam.d/other
Index: postlfs/security/pam/linux_pam-exp.xml
===================================================================
--- postlfs/security/pam/linux_pam-exp.xml	(revision 4ea49a3171ac6bc1c2eb4e282d7b1850616fc429)
+++ postlfs/security/pam/linux_pam-exp.xml	(revision 1ea79a1833f0fbd5e1efeb7389093d802cb536d3)
@@ -12,5 +12,6 @@
 the mailspool directory <acronym>FHS</acronym> compliant.</para>
 
-<para><option>--enable-read-both-confs</option>: This switch lets the local administrator choose which configuration file setup to use.</para>
+<para><option>--enable-read-both-confs</option>: This switch lets the local
+administrator choose which configuration file setup to use.</para>
 
 <para><command>mv /lib/libpam.a /lib/libpam_misc.a /lib/libpamc.a
Index: postlfs/security/security.xml
===================================================================
--- postlfs/security/security.xml	(revision 4ea49a3171ac6bc1c2eb4e282d7b1850616fc429)
+++ postlfs/security/security.xml	(revision 1ea79a1833f0fbd5e1efeb7389093d802cb536d3)
@@ -16,5 +16,5 @@
 <para>Prevention of breaches, like a trojan, are assisted by applications like 
 <application>GnuPG</application>, specifically the ability to confirm signed 
-packages, which prevents modification of the <acronym>TAR</acronym> ball after 
+packages, which recognizes modifications of the <acronym>TAR</acronym> ball after 
 the packager creates it.</para>
 
Index: postlfs/security/shadow/shadow-config.xml
===================================================================
--- postlfs/security/shadow/shadow-config.xml	(revision 4ea49a3171ac6bc1c2eb4e282d7b1850616fc429)
+++ postlfs/security/shadow/shadow-config.xml	(revision 1ea79a1833f0fbd5e1efeb7389093d802cb536d3)
@@ -7,5 +7,5 @@
 <filename>/etc/pam.d/passwd</filename>,
 <filename>/etc/pam.d/su</filename>,
-<filename>/etc/pam.d/shadow</filename>,
+<filename>/etc/pam.d/shadow</filename>, and
 <filename>/etc/pam.d/useradd</filename></para>
 </sect3>
Index: postlfs/security/tripwire/tripwire-config.xml
===================================================================
--- postlfs/security/tripwire/tripwire-config.xml	(revision 4ea49a3171ac6bc1c2eb4e282d7b1850616fc429)
+++ postlfs/security/tripwire/tripwire-config.xml	(revision 1ea79a1833f0fbd5e1efeb7389093d802cb536d3)
@@ -38,7 +38,7 @@
 tripwire -m i</command></userinput></screen>
 
-<para>During configuration <application>Tripwire</application> will create two (2) keys: a site key and
- a local key which will be stored in <filename class="directory">/etc/tripwire/
-</filename>.</para>
+<para>During installation <application>Tripwire</application> will create two
+(2) keys: a site key and a local key which will be stored in <filename
+class="directory">/etc/tripwire/</filename>.</para>
 
 </sect3>
@@ -59,5 +59,5 @@
 on your system so that <application>Tripwire</application> will not continually notify you that
 files you intentionally changed are a security violation. To do this you
-must first <command>ls /var/lib/tripwire/report/</command> and note
+must first <command>ls -l /var/lib/tripwire/report/</command> and note
 the name of the newest file which starts with <filename>linux-</filename> and 
 ends in <filename>.twr</filename>. This encrypted file was created during the 
Index: postlfs/shells/ash/ash-intro.xml
===================================================================
--- postlfs/shells/ash/ash-intro.xml	(revision 4ea49a3171ac6bc1c2eb4e282d7b1850616fc429)
+++ postlfs/shells/ash/ash-intro.xml	(revision 1ea79a1833f0fbd5e1efeb7389093d802cb536d3)
@@ -3,5 +3,5 @@
 
 <para><command>ash</command> is a shell that is the most compliant with the
-Bourne Shell (not to be confused with Bourne Again SHell i.e. <application>Bash</application>
+Bourne Shell (not to be confused with Bourne Again SHell i.e., <application>Bash</application>
 installed in <acronym>LFS</acronym>) without any additional features.
 Bourne Shell is available on most commercial
Index: postlfs/shells/tcsh/tcsh.ent
===================================================================
--- postlfs/shells/tcsh/tcsh.ent	(revision 4ea49a3171ac6bc1c2eb4e282d7b1850616fc429)
+++ postlfs/shells/tcsh/tcsh.ent	(revision 1ea79a1833f0fbd5e1efeb7389093d802cb536d3)
@@ -5,5 +5,5 @@
 <!ENTITY tcsh-config SYSTEM "tcsh-config.xml">
 <!ENTITY tcsh-desc SYSTEM "tcsh-desc.xml">
-<!ENTITY tcsh-version "6.12.00">
+<!ENTITY tcsh-version "6.13.00">
 <!ENTITY tcsh-download-http "http://gd.tuwien.ac.at/utils/shells/tcsh/tcsh-&tcsh-version;.tar.gz">
 <!ENTITY tcsh-download-ftp " ">
Index: postlfs/shells/zsh/zsh-config.xml
===================================================================
--- postlfs/shells/zsh/zsh-config.xml	(revision 4ea49a3171ac6bc1c2eb4e282d7b1850616fc429)
+++ postlfs/shells/zsh/zsh-config.xml	(revision 1ea79a1833f0fbd5e1efeb7389093d802cb536d3)
@@ -6,5 +6,5 @@
 <application>ZSH</application> including
 <filename>/etc/zshenv</filename>, <filename>/etc/zprofile</filename>,
-<filename>/etc/zshrc</filename>, <filename>/etc/zlogin</filename> and
+<filename>/etc/zshrc</filename>, <filename>/etc/zlogin</filename>, and
 <filename>/etc/zlogout</filename>.  You can find more information on
 these in the <filename>zsh(1)</filename> and related 
Index: server/other/rsync/rsync-config.xml
===================================================================
--- server/other/rsync/rsync-config.xml	(revision 4ea49a3171ac6bc1c2eb4e282d7b1850616fc429)
+++ server/other/rsync/rsync-config.xml	(revision 1ea79a1833f0fbd5e1efeb7389093d802cb536d3)
@@ -9,5 +9,5 @@
 
 <para>This is a simple download-only configuration. See the rsyncd man-page for
-additional options (i.e. user authentication).</para>
+additional options (i.e., user authentication).</para>
 
 <screen><userinput><command>cat &gt; /etc/rsyncd.conf &lt;&lt; "EOF"</command>
Index: xsoft/graphweb/mozilla/mozilla-intro.xml
===================================================================
--- xsoft/graphweb/mozilla/mozilla-intro.xml	(revision 4ea49a3171ac6bc1c2eb4e282d7b1850616fc429)
+++ xsoft/graphweb/mozilla/mozilla-intro.xml	(revision 1ea79a1833f0fbd5e1efeb7389093d802cb536d3)
@@ -7,5 +7,5 @@
 
 <para>The Mozilla project also hosts two subprojects that aim to cater to the needs
-of users who don't need the complete browser suite or like to have seperate applications
+of users who don't need the complete browser suite or like to have separate applications
 for browsing and e-mail. These subprojects are
 <ulink url="http://www.mozilla.org/products/firefox/">Mozilla Firefox</ulink>,
@@ -13,5 +13,5 @@
 <ulink url="http://www.mozilla.org/projects/thunderbird/">Mozilla Thunderbird</ulink>,
 (a stand-alone mail client based on the Mozilla source code). The build instructions
-for these two applications are discussed in seperate sections:</para>
+for these two applications are discussed in separate sections:</para>
 
 <itemizedlist>