Index: general.ent
===================================================================
--- general.ent	(revision 8d092230829bb3068295178041d9d0c25dd46164)
+++ general.ent	(revision 2a7340c2bec548066b443af0eb9125eba8651ca5)
@@ -171,5 +171,5 @@
 <!ENTITY Starlink-Config-version      "1.00">
 <!ENTITY librep-version               "0.17">
-<!ENTITY j2sdk-bin-version            "1.4.2_03">
+<!ENTITY j2sdk-bin-version            "1.4.2_07">
 <!ENTITY j2sdk-src-version            "1.4.2">
 <!ENTITY ruby-version                 "1.8.2">
Index: general/prog/j2sdk.xml
===================================================================
--- general/prog/j2sdk.xml	(revision 8d092230829bb3068295178041d9d0c25dd46164)
+++ general/prog/j2sdk.xml	(revision 2a7340c2bec548066b443af0eb9125eba8651ca5)
@@ -7,8 +7,8 @@
   <!ENTITY j2sdk-download-http "http://freshmeat.net/projects/sunjdk">
   <!ENTITY j2sdk-download-ftp  " ">
-  <!ENTITY j2sdk-bin-size      "35 MB">
-  <!ENTITY j2sdk-src-size      "77 MB">
-  <!ENTITY j2sdk-src-buildsize "1810 MB">
-  <!ENTITY j2sdk-time          "85 SBU">
+  <!ENTITY j2sdk-bin-size      "36.4 MB">
+  <!ENTITY j2sdk-src-size      "55.1 MB (three .zip files)">
+  <!ENTITY j2sdk-src-buildsize "1285 MB">
+  <!ENTITY j2sdk-time          "29.57 SBU">
 ]>
 
@@ -19,41 +19,38 @@
 </sect1info>
 <?dbhtml filename="j2sdk.html" ?>
-<title>J2SDK-&j2sdk-src-version;</title>
+<title><application>J2<acronym>SDK</acronym></application>-&j2sdk-src-version;</title>
+<indexterm zone="j2sdk">
+<primary sortas="a-J2SDK">J2SDK</primary>
+</indexterm>
 
 <sect2>
-<title>Introduction to j2sdk</title>
-
-<para>The <application>J2SDK</application> package contains Sun's
-<application>Java</application> development environment. This is useful for
-developing <application>Java</application> programs and provides the runtime
-environment necessary to run <application>Java</application> programs.  It also 
-includes a plug-in for browsers so that they can be <application>Java
-</application> aware.</para>
-
-<para>
-The <acronym>JDK</acronym> comes in two flavors, a precompiled binary and a
-source package. Previously, the plugin included in the <acronym>JDK</acronym> binary
-package was unusable on <acronym>LFS</acronym>
-owing to incompatibilities with <acronym>GCC</acronym>-3 compiled browsers.
+<title>Introduction to 
+<application>J2<acronym>SDK</acronym></application></title>
+
+<para>The <application>J2<acronym>SDK</acronym></application> package contains 
+Sun's <application>Java</application> development environment. This is useful 
+for developing <application>Java</application> programs and provides the 
+runtime environment necessary to run <application>Java</application> programs. 
+It also includes a plug-in for browsers so that they can be 
+<application>Java</application> aware.</para>
+
+<para>The <acronym>JDK</acronym> comes in two flavors, a precompiled binary 
+and a source package. Previously, the plugin included in the 
+<acronym>JDK</acronym> binary package was unusable on <acronym>LFS</acronym> 
+owing to incompatibilities with <acronym>GCC</acronym>-3 compiled browsers. 
 This is not the case anymore.</para>
 
-<para>The source package requires registration at the Sun
-developer site and accepting the Sun Community Source License.
-The source code cannot be downloaded from some countries, so for users
-from those countries, the binary may be the only option.</para>
+<para>The source package requires registration at the Sun developer site and 
+accepting the Sun Community Source License. The source code cannot be 
+downloaded from some countries, so for users from those countries, the binary 
+may be the only option.</para>
 
 <para>Even if you plan on compiling the <acronym>JDK</acronym> source, you will 
 need to download the binary version to bootstrap the <acronym>JDK</acronym>
 build. Follow the link below to download both source and binary packages. When
-downloading the source also download the <application>Mozilla</application>
-headers package available at the same location.</para>
-
-<!--
-<para>For users who cannot download the <application>J2SDK</application> 
-source owing to license restrictions, <application>blackdown
-</application> has an <acronym>GCC</acronym>-3 based precompiled version.
-Check out <ulink url="http://www.blackdown.org/"/> for more
-information.</para>
--->
+downloading the source (two files required), also download the 
+<application>Mozilla</application> headers package available at the same 
+location. To build from source, you'll end up downloading a total of four 
+files.</para>
 
 <sect3><title>Package information</title>
@@ -61,5 +58,4 @@
 <listitem><para>Download (HTTP): <ulink
 url="&j2sdk-download-http;"/></para></listitem>
-
 <!--
 <listitem><para>Download (FTP): <ulink
@@ -78,13 +74,29 @@
 <sect3><title>Additional downloads</title>
 <itemizedlist spacing='compact'>
-<listitem><para><ulink url="&patch-root;/j2sdk-&j2sdk-src-version;-fix_inline_asm-1.patch"/></para></listitem>
-<listitem><para><ulink url="&patch-root;/j2sdk-&j2sdk-src-version;-gcc33-1.patch"/></para></listitem>
-<listitem><para><ulink url="&patch-root;/j2sdk-&j2sdk-src-version;-motif_mkmsgcat-1.patch"/></para></listitem>
-<listitem><para><ulink url="&patch-root;/j2sdk-&j2sdk-src-version;-nptl-1.patch"/></para></listitem>
-<listitem><para><ulink url="&patch-root;/j2sdk-&j2sdk-src-version;-remove_debug_image-1.patch"/></para></listitem>
-<listitem><para><ulink url="&patch-root;/j2sdk-&j2sdk-src-version;-remove_fixed_paths-1.patch"/></para></listitem>
-<listitem><para><ulink url="&patch-root;/j2sdk-&j2sdk-src-version;-static_cxx-1.patch"/></para></listitem>
-<listitem><para><ulink url="&patch-root;/j2sdk-&j2sdk-src-version;-ash-1.patch"/> 
-(Only required if /bin/sh is symlinked to <xref linkend="ash"/>)</para></listitem>
+<listitem><para><ulink 
+url="&patch-root;/j2sdk-&j2sdk-src-version;-fix_inline_asm-1.patch"/></para>
+</listitem>
+<listitem><para><ulink 
+url="&patch-root;/j2sdk-&j2sdk-src-version;-gcc33-1.patch"/></para>
+</listitem>
+<listitem><para><ulink 
+url="&patch-root;/j2sdk-&j2sdk-src-version;-motif_mkmsgcat-1.patch"/></para>
+</listitem>
+<listitem><para><ulink 
+url="&patch-root;/j2sdk-&j2sdk-src-version;-nptl-1.patch"/></para>
+</listitem>
+<listitem><para><ulink 
+url="&patch-root;/j2sdk-&j2sdk-src-version;-remove_debug_image-1.patch"/></para>
+</listitem>
+<listitem><para><ulink 
+url="&patch-root;/j2sdk-&j2sdk-src-version;-remove_fixed_paths-1.patch"/></para>
+</listitem>
+<listitem><para><ulink 
+url="&patch-root;/j2sdk-&j2sdk-src-version;-static_cxx-1.patch"/></para>
+</listitem>
+<listitem><para><ulink 
+url="&patch-root;/j2sdk-&j2sdk-src-version;-ash-1.patch"/> 
+(Only required if /bin/sh is symlinked to <xref linkend="ash"/>)</para>
+</listitem>
 </itemizedlist>
 </sect3>
@@ -93,6 +105,9 @@
 <sect4><title>Required</title>
 <para>X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>), 
-<xref linkend="zip"/>, <xref linkend="unzip"/>, <xref linkend="cpio"/>, 
-<xref linkend="alsa"/>, <xref linkend="tcsh"/> and 
+<xref linkend="zip"/>, 
+<xref linkend="unzip"/>, 
+<xref linkend="cpio"/>, 
+<xref linkend="alsa"/>, 
+<xref linkend="tcsh"/> and 
 <xref linkend="gcc3"/></para>
 </sect4>
@@ -111,7 +126,7 @@
 following commands:</para>
 
-<screen><userinput><command>VERSION=&j2sdk-bin-version; &amp;&amp;
-MV=`echo $VERSION | cut -d "_" -f 1,1` &amp;&amp;
-V=`echo ${VERSION} | sed -e "s/\./_/g"` &amp;&amp;
+<screen><userinput><command>export VERSION=&j2sdk-bin-version; &amp;&amp;
+export MV=`echo $VERSION | cut -d "_" -f 1,1` &amp;&amp;
+export V=`echo ${VERSION} | sed -e "s/\./_/g"` &amp;&amp;
 sed -i "s:^PATH=.*::" j2sdk-${V}-linux-i?86.bin &amp;&amp;
 chmod +x j2sdk-${V}-linux-i?86.bin &amp;&amp;
@@ -119,7 +134,11 @@
 ln -sf /bin/true bin/more &amp;&amp;
 yes | PATH=$PWD/bin:$PATH ./j2sdk-${V}-linux-i?86.bin &amp;&amp;
-cd j2sdk${VERSION} &amp;&amp;
-install -d /opt/j2sdk/j2sdk-precompiled-${MV} &amp;&amp;
-mv * /opt/j2sdk/j2sdk-precompiled-${MV}</command></userinput></screen>
+cd j2sdk${VERSION}</command></userinput></screen>
+
+<para>Now, as the root user:</para>
+
+<screen><userinput role='root'><command>install -d /opt/j2sdk/j2sdk-precompiled-${MV} &amp;&amp;
+mv * /opt/j2sdk/j2sdk-precompiled-${MV}
+chown -R root:root /opt/j2sdk/j2sdk-precompiled-${MV}</command></userinput></screen>
 
 <para>The binary version is now installed.</para>
@@ -134,5 +153,5 @@
 export PATH=$PATH:${JAVA_HOME}/bin</command></userinput></screen>
 
-<para>Unzip the source:</para>
+<para>Unzip the sources:</para>
 
 <screen><userinput><command>mkdir j2sdk-build &amp;&amp;
@@ -152,4 +171,5 @@
 
 <para>Set/unset some variables which affect the build:</para>
+
 <screen><userinput><command>export ALT_BOOTDIR="$JAVA_HOME" &amp;&amp;
 unset JAVA_HOME &amp;&amp;
@@ -174,4 +194,5 @@
 <para>Additionally, if you would like to make in parallel, add the following
 (adjust <envar>MAKE_PARALLEL</envar> to your liking):</para>
+
 <screen><userinput><command>export HOTSPOT_BUILD_JOBS=$MAKE_PARALLEL</command></userinput></screen>
 
@@ -179,5 +200,5 @@
 the error is noticed much later in the build. A solution is to build the 
 <application>Motif</application> library before compiling the 
-<application>J2SDK</application>.</para>
+<application>J2<acronym>SDK</acronym></application>.</para>
 
 <screen><userinput><command>cd motif/lib/Xm &amp;&amp;
@@ -185,15 +206,33 @@
 cd ../../..</command></userinput></screen>
 
-<para>Make and Install <application>J2SDK</application> with the following
+<para>Build <application>J2SDK</application> with the following
 commands. There will be a lot of messages about missing files that look like
-errors. As long as the build doesn't stop, the messages are harmless, so ignore 
-them.</para>
+errors. As long as the build doesn't stop, the messages are harmless, so 
+ignore them.</para>
 
 <screen><userinput><command>cd control/make &amp;&amp;
 make &amp;&amp;
-cd ../.. &amp;&amp;
-cd control/build/linux-i?86 &amp;&amp;
-cp -a j2sdk-image /opt/j2sdk/j2sdk-&j2sdk-src-version; &amp;&amp;
-export PATH=$PATH_HOLD</command></userinput></screen>
+cd ../build/linux-i?86</command></userinput></screen>
+
+<para>Now, as the root user, install <application>J2SDK</application>:</para>
+
+<screen><userinput role='root'><command>cp -a j2sdk-image /opt/j2sdk/j2sdk-&j2sdk-src-version; &amp;&amp;
+chown -R root:root /opt/j2sdk/j2sdk-&j2sdk-src-version;</command></userinput></screen>
+
+<para>Restore the environment using the following commands:</para>
+
+<screen><userinput><command>unset VERSION &amp;&amp;
+unset MV &amp;&amp;
+unset V &amp;&amp;
+unset ALT_BOOTDIR &amp;&amp;
+unset ALT_DEVTOOLS_PATH &amp;&amp;
+unset BUILD_NUMBER &amp;&amp;
+unset DEV_ONLY &amp;&amp;
+unset ALT_MOZILLA_PATH &amp;&amp;
+unset INSANE &amp;&amp;
+unset MAKE_VERBOSE &amp;&amp;
+unset ALT_CACERTS_FILE &amp;&amp;
+export PATH=$PATH_HOLD &amp;&amp;
+unset PATH_HOLD</command></userinput></screen>
 
 </sect2>
@@ -203,9 +242,9 @@
 
 <para><command>export ALT_BOOTDIR="$JAVA_HOME"</command>: This var sets
-location of the bootstrap <acronym>JDK</acronym>.</para>
+the location of the bootstrap <acronym>JDK</acronym>.</para>
 
 <para><command>export ALT_MOZILLA_PATH=$PWD</command>: This sets the
-variable that points to where you unzipped the <application>Mozilla
-</application> headers.</para>
+variable that points to where you unzipped the 
+<application>Mozilla</application> headers.</para>
 
 <para><command>export ALT_DEVTOOLS_PATH="/usr/bin"</command>: This
@@ -218,5 +257,5 @@
 
 <para><command>export DEV_ONLY=true</command>: This command
-eliminates compiling the documentation and eliminates a dependency for
+eliminates compiling the documentation and a dependency for
 <application>rpm</application>.</para>
 
@@ -271,5 +310,6 @@
 Make a symbolic link to the file in that directory from your plugins directory.
 Note that the plugin must be a symlink for it to work. If not, the browsers
-just crash when you attempt to load a Java plugin.</para>
+just crash when you attempt to load a <application>Java</application> 
+plugin.</para>
 
 </sect3>
@@ -277,10 +317,11 @@
 <sect3><title>Handling CLASSPATH</title>
 
-<para>When compiling packages, the <envar>CLASSPATH</envar> environment variable
-is used by JDK to locate classes at compile-time and run-time. It is tedious to
-add all the classes used to the <envar>CLASSPATH</envar> manually. You may add
-the following lines to your shell startup file to set <envar>CLASSPATH</envar>
-automatically to include all JAR files in a specified directory, which in
-the example below is <filename>/usr/lib/auto-java-classpath</filename>.</para>
+<para>When compiling packages, the <envar>CLASSPATH</envar> environment 
+variable is used by the <acronym>JDK</acronym> to locate classes at 
+compile-time and run-time. It is tedious to add all the classes used to the 
+<envar>CLASSPATH</envar> manually. You may add the following lines to your 
+shell startup file to set <envar>CLASSPATH</envar> automatically to include 
+all JAR files in a specified directory, which in the example below is 
+<filename>/usr/lib/auto-java-classpath</filename>.</para>
 
 <screen><userinput>AUTO_CLASSPATH_DIR=/usr/lib/auto-java-classpath
@@ -303,120 +344,220 @@
 <title>Contents</title>
 
-<para>The <application>J2SDK</application> package contains
-<command>appletviewer</command>,
-<command>extcheck</command>, <command>idlj</command>,
-<command>jar</command>, <command>jarsigner</command>,
-<command>java</command>, <command>javac</command>,
-<command>javadoc</command>, <command>javah</command>,
-<command>javap</command>, <command>jdb</command>,
-<command>keytool</command>, <command>native2ascii</command>,
-<command>orbd</command>, <command>policytool</command>,
-<command>rmic</command>, <command>rmid</command>,
-<command>rmiregistry</command>, <command>rmiregistry</command>,
-<command>serialver</command>, <command>servertool</command> and
-<command>tnameserv</command>.</para>
+<segmentedlist>
+<segtitle>Installed Programs</segtitle>
+<segtitle>Installed Libraries</segtitle>
+<segtitle>Installed Directory</segtitle>
+
+<seglistitem>
+<seg>appletviewer, extcheck, idlj, jar, jarsigner, java, javac, javadoc, 
+javah, javap, jdb, keytool, native2ascii, orbd, policytool, rmic, rmid, 
+rmiregistry, serialver, servertool and tnameserv</seg>
+<seg><envar>$JAVA_HOME</envar>/lib/*, <envar>$JAVA_HOME</envar>/jre/lib/* 
+and libjavaplugin_oji.so</seg>
+<seg>/opt/j2sdk</seg>
+</seglistitem>
+</segmentedlist>
+
+<variablelist>
+<bridgehead renderas="sect3">Short Descriptions</bridgehead>
+<?dbfo list-presentation="list"?>
+
+<varlistentry id="appletviewer">
+<term><command>appletviewer</command></term>
+<listitem><para>runs <application>Java</application> applets outside of the 
+context of a browser.</para>
+<indexterm zone="j2sdk appletviewer">
+<primary sortas="b-appletviewer">appletviewer</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="extcheck">
+<term><command>extcheck</command></term>
+<listitem><para>checks a specified <filename>JAR</filename> file for title 
+and version conflicts with any extensions installed in the 
+<acronym>JDK</acronym> software.</para>
+<indexterm zone="j2sdk extcheck">
+<primary sortas="b-extcheck">extcheck</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="idlj">
+<term><command>idlj</command></term>
+<listitem><para>generates <application>Java</application> bindings from a 
+given <acronym>IDL</acronym> file.</para>
+<indexterm zone="j2sdk idlj">
+<primary sortas="b-idlj">idlj</primary>
+</indexterm></listitem>
+</varlistentry> 
+
+<varlistentry id="jar">
+<term><command>jar</command></term>
+<listitem><para>combines multiple files into a single <acronym>JAR</acronym> 
+archive file.</para>
+<indexterm zone="j2sdk jar">
+<primary sortas="b-jar">jar</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="jarsigner">
+<term><command>jarsigner</command></term>
+<listitem><para>signs <filename>JAR</filename> (Java ARchive) files and 
+verifies the signatures and integrity of a signed 
+<filename>JAR</filename>.</para>
+<indexterm zone="j2sdk jarsigner">
+<primary sortas="b-jarsigner">jarsigner</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="java">
+<term><command>java</command></term>
+<listitem><para>launches a <application>Java</application> application by 
+starting a <application>Java</application> runtime environment, loading a 
+specified class and invoking its main method.</para>
+<indexterm zone="j2sdk java">
+<primary sortas="b-java">java</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="javac">
+<term><command>javac</command></term>
+<listitem><para>reads class and interface definitions, written in the 
+<application>Java</application> programming language, and compiles them into 
+bytecode class files.</para>
+<indexterm zone="j2sdk javac">
+<primary sortas="b-javac">javac</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="javadoc">
+<term><command>javadoc</command></term>
+<listitem><para>parses the declarations and documentation comments in a set of 
+<application>Java</application> source files and produces a corresponding set 
+of <acronym>HTML</acronym> pages describing the classes, interfaces, 
+constructors, methods, and fields.</para>
+<indexterm zone="j2sdk javadoc">
+<primary sortas="b-javadoc">javadoc</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="javah">
+<term><command>javah</command></term>
+<listitem><para>generates <application>C</application> header and source files 
+that are needed to implement native methods.</para>
+<indexterm zone="j2sdk javah">
+<primary sortas="b-javah">javah</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="javap">
+<term><command>javap</command></term>
+<listitem><para>disassembles a <application>Java</application> class 
+file.</para>
+<indexterm zone="j2sdk javap">
+<primary sortas="b-javap">javap</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="jdb">
+<term><command>jdb</command></term>
+<listitem><para>is a simple command-line debugger for 
+<application>Java</application> classes.</para>
+<indexterm zone="j2sdk jdb">
+<primary sortas="b-jdb">jdb</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="keytool">
+<term><command>keytool</command></term>
+<listitem><para>is a key and certificate management utility.</para>
+<indexterm zone="j2sdk keytool">
+<primary sortas="b-keytool">keytool</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="native2ascii">
+<term><command>native2ascii</command></term>
+<listitem><para> converts files that contain non-supported character encoding 
+into files containing Latin-1 or Unicode-encoded characters.</para>
+<indexterm zone="j2sdk native2ascii">
+<primary sortas="b-native2ascii">native2ascii</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="orbd">
+<term><command>orbd</command></term>
+<listitem><para>is used to enable clients to transparently locate and invoke 
+persistent objects on servers in the <acronym>CORBA</acronym> 
+environment.</para>
+<indexterm zone="j2sdk orbd">
+<primary sortas="b-orbd">orbd</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="policytool">
+<term><command>policytool</command></term>
+<listitem><para>creates and manages a policy file graphically.</para>
+<indexterm zone="j2sdk policytool">
+<primary sortas="b-policytool">policytool</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="rmic">
+<term><command>rmic</command></term>
+<listitem><para>generates stub and skeleton class files for remote objects 
+from the names of compiled <application>Java</application> classes that 
+contain remote object implementations.</para>
+<indexterm zone="j2sdk rmic">
+<primary sortas="b-rmic">rmic</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="rmid">
+<term><command>rmid</command></term>
+<listitem><para>starts the activation system daemon.</para>
+<indexterm zone="j2sdk rmid">
+<primary sortas="b-rmid">rmid</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="rmiregistry">
+<term><command>rmiregistry</command></term>
+<listitem><para>creates and starts a remote object registry on the specified 
+port on the current host.</para>
+<indexterm zone="j2sdk rmiregistry">
+<primary sortas="b-rmiregistry">rmiregistry</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="serialver">
+<term><command>serialver</command></term>
+<listitem><para>returns the serialVersionUID for one or more classes in a 
+form suitable for copying into an evolving class.</para>
+<indexterm zone="j2sdk serialver">
+<primary sortas="b-serialver">serialver</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="servertool">
+<term><command>servertool</command></term>
+<listitem><para>provides an ease-of-use interface for application programmers 
+to register, unregister, startup and shutdown a server.</para>
+<indexterm zone="j2sdk servertool">
+<primary sortas="b-servertool">servertool</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="tnameserv">
+<term><command>tnameserv</command></term>
+<listitem><para>starts the <application>Java</application> 
+<acronym>IDL</acronym> name server.</para>
+<indexterm zone="j2sdk tnameserv">
+<primary sortas="b-tnameserv">tnameserv</primary>
+</indexterm></listitem>
+</varlistentry>
+</variablelist>
 
 </sect2>
 
-<sect2><title>Description</title>
-
-<sect3><title>appletviewer</title>
-<para><command>appletviewer</command> runs <application>Java</application> 
-applets outside of the context of a browser.</para></sect3>
-
-<sect3><title>extcheck</title>
-<para><command>extcheck</command> checks a specified <filename>JAR</filename>
-file for title and version conflicts with any extensions installed in the
-<acronym>JDK</acronym> software.</para></sect3>
-
-<sect3><title>idlj</title>
-<para><command>idlj</command> generates <application>Java</application>
-bindings from a given <acronym>IDL</acronym> file.</para></sect3>
-
-<sect3><title>jar</title>
-<para><command>jar</command> combines multiple files into a single
-<acronym>JAR</acronym> archive file.</para></sect3>
-
-<sect3><title>jarsigner</title>
-<para><command>jarsigner</command> signs <filename>JAR</filename>
-(Java ARchive) files and verifies the signatures and integrity of a signed
-<filename>JAR</filename>.</para></sect3>
-
-<sect3><title>java</title>
-<para><command>java</command> launches a <application>Java</application>
-application by starting a <application>Java</application> runtime
-environment, loading a specified class and invoking its main
-method.</para></sect3>
-
-<sect3><title>javac</title>
-<para><command>javac</command> reads class and interface definitions, written
-in the <application>Java</application> programming language, and compiles them
-into bytecode class files.</para></sect3>
-
-<sect3><title>javadoc</title>
-<para><command>javadoc</command> parses the declarations and documentation
-comments in a set of <application>Java</application> source files and produces
-a corresponding set of <acronym>HTML</acronym> pages describing the classes,
-interfaces, constructors, methods, and fields.</para></sect3>
-
-<sect3><title>javah</title>
-<para><command>javah</command> generates <application>C</application> header
-and source files that are needed to implement native methods.</para></sect3>
-
-<sect3><title>javap</title>
-<para><command>javap</command> disassembles a
-<application>Java</application> class file.</para></sect3>
-
-<sect3><title>jdb</title>
-<para><command>jdb</command> is a simple command-line debugger for
-<application>Java</application> classes.</para></sect3>
-
-<sect3><title>keytool</title>
-<para><command>keytool</command> is a key and certificate management 
-utility.</para></sect3>
-
-<sect3><title>native2ascii</title>
-<para><command>native2ascii</command> converts files that contain non-supported 
-character encoding into files containing Latin-1 or Unicode-encoded 
-characters.</para></sect3>
-
-<sect3><title>orbd</title>
-<para><command>orbd</command> is used to enable clients to transparently locate
-and invoke persistent objects on servers in the <acronym>CORBA</acronym>
-environment.</para></sect3>
-
-<sect3><title>policytool</title>
-<para><command>policytool</command> creates and manages a policy file
-graphically.</para></sect3>
-
-<sect3><title>rmic</title>
-<para><command>rmic</command> generates stub and skeleton class files for
-remote objects from the names of compiled <application>Java</application>
-classes that contain remote object implementations.</para></sect3>
-
-<sect3><title>rmid</title>
-<para><command>rmid</command> starts the activation system daemon.</para>
-</sect3>
-
-<sect3><title>rmiregistry</title>
-<para><command>rmiregistry</command> creates and starts a remote object
-registry on the specified port on the current host.</para></sect3>
-
-<sect3><title>serialver</title>
-<para><command>serialver</command> returns the serialVersionUID for one or
-more classes in a form suitable for copying into an evolving class.</para>
-</sect3>
-
-<sect3><title>servertool</title>
-<para><command>servertool</command> provides an ease-of-use interface for
-application programmers to register, unregister, startup and shutdown a 
-server.</para></sect3>
-
-<sect3><title>tnameserv</title>
-<para><command>tnameserv</command> starts the <application>Java</application>
-<acronym>IDL</acronym> name server.</para></sect3>
-
-</sect2>
-
 </sect1>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 8d092230829bb3068295178041d9d0c25dd46164)
+++ introduction/welcome/changelog.xml	(revision 2a7340c2bec548066b443af0eb9125eba8651ca5)
@@ -22,4 +22,7 @@
 
 <itemizedlist>
+
+<listitem><para>January 26th, 2005 [randy]: Updated J2SDK binary 
+version to 1.4.2_07; updated J2SDK build entities.</para></listitem>
 
 <listitem><para>January 26th, 2005 [bdubbs]: Added directory reference