Index: general/prog/php.xml
===================================================================
--- general/prog/php.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ general/prog/php.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -513,5 +513,5 @@
       <title>Boot Script</title>
 
-      <para>
+      <para revision="sysv">
         To automatically start the <command>php-fpm</command> daemon when the
         system is rebooted, install the
@@ -521,9 +521,20 @@
       </para>
 
+      <para revision="systemd">
+        To automatically start the <command>php-fpm</command> daemon when the
+        system is rebooted, install the <filename>php-fpm.service</filename>
+        unit from the <xref linkend="systemd-units"/> package as the
+        <systemitem class="username">root</systemitem> user:
+      </para>
+
+
       <indexterm zone="php php-init">
         <primary sortas="f-php">php</primary>
       </indexterm>
 
-<screen role="root"><userinput>make install-php</userinput></screen>
+<screen role="root" revision="sysv"><userinput>make install-php</userinput></screen>
+
+<screen role="root" revision="systemd"><userinput>make install-php-fpm</userinput></screen>
+
     </sect3>
 
Index: general/prog/svnserver.xml
===================================================================
--- general/prog/svnserver.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ general/prog/svnserver.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -210,5 +210,6 @@
 
       <para>To start the server at boot time, install the svn bootscript
-      included in the <xref linkend="bootscripts"/> package.</para>
+      included in the <xref linkend="bootscripts" revision="sysv"/>
+      <xref linkend="systemd-units" revision="systemd"/> package.</para>
 
       <indexterm zone="svnserver svnserver-init">
Index: multimedia/libdriv/alsa-utils.xml
===================================================================
--- multimedia/libdriv/alsa-utils.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ multimedia/libdriv/alsa-utils.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -218,6 +218,7 @@
         To automatically store and restore volume settings (if udev rule doesn't
         work for you) when the system is rebooted, install the
-        <filename>/etc/rc.d/init.d/alsa</filename> boot script from the <xref
-        linkend="bootscripts"/> package.
+        <filename>/etc/rc.d/init.d/alsa</filename> boot script from the
+        <xref linkend="bootscripts" revision="sysv"/> 
+        <xref linkend="systemd-units" revision="systemd"/> package.
       </para>
 
Index: networking/connect/dhcp.xml
===================================================================
--- networking/connect/dhcp.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ networking/connect/dhcp.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -186,5 +186,7 @@
 
     <para>
-      Skip to <xref linkend="dhclient-config"/> in order to configure the client
+      Skip to <xref linkend="dhclient-config" revision="sysv"/>
+      <xref linkend="dhclient-config-systemd" revision="systemd"/>
+      in order to configure the client
     </para>
 
@@ -235,5 +237,5 @@
     </sect3>
 
-    <sect3 id="dhclient-config">
+    <sect3 id="dhclient-config" revision="sysv">
       <title>Client Configuration</title>
 
@@ -341,4 +343,10 @@
     </sect3>
 
+    <sect3 id="dhclient-config-systemd" revision="systemd">
+      <title>Client Configuration</title>
+
+      <para>TBA</para>
+    </sect3>
+
     <sect3 id="dhcpd-config">
       <title>Server Configuration</title>
@@ -395,6 +403,9 @@
        <para>
         If you want to start the DHCP Server at boot, install
-        the <filename>/etc/rc.d/init.d/dhcpd</filename>
-        init script included in the <xref linkend="bootscripts"/>
+        the <filename revision="sysv">/etc/rc.d/init.d/dhcpd</filename>
+        <filename revision="systemd">dhcpd.service</filename>
+        init script included in the
+        <xref linkend="bootscripts" revision="sysv"/>
+        <xref linkend="systemd-units" revision="systemd"/>
         package:
       </para>
Index: networking/connect/dhcpcd.xml
===================================================================
--- networking/connect/dhcpcd.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ networking/connect/dhcpcd.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -138,5 +138,5 @@
     </sect3>
 
-    <sect3 id="dhcpcd-init">
+    <sect3 id="dhcpcd-init" revision="sysv">
       <title>General Configuration Information</title>
 
@@ -207,5 +207,5 @@
     </sect3>
 
-    <sect3 id="dhcpcd-init2">
+    <sect3 id="dhcpcd-init2" revision="sysv">
       <title>Configuration Information: fixed ip</title>
 
Index: networking/netprogs/bridgeutils.xml
===================================================================
--- networking/netprogs/bridgeutils.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ networking/netprogs/bridgeutils.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -122,5 +122,5 @@
     <title>Configuring bridge-utils</title>
 
-    <sect3 id='bridgeutils-init'>
+    <sect3 id='bridgeutils-init' revision="sysv">
       <title>Configuration Information</title>
 
@@ -179,4 +179,9 @@
     </sect3>
 
+    <sect3 id='bridgeutils-init-systemd' revision="systemd">
+      <title>Configuration Information</title>
+      <para>TBA</para>
+    </sect3>
+
   </sect2>
 
Index: networking/netprogs/netfs.xml
===================================================================
--- networking/netprogs/netfs.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ networking/netprogs/netfs.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -30,9 +30,10 @@
   before the network is brought down.</para>
 
-  <para>As the <systemitem class="username">root</systemitem> user, install
+  <para revision="sysv">As the <systemitem class="username">root</systemitem> user, install
   the <filename>/etc/rc.d/init.d/netfs</filename> bootscript included with the
   <xref linkend="bootscripts"/> package.</para>
 
-<screen role='root'><userinput>make install-netfs</userinput></screen>
+<screen role='root' revision="sysv"><userinput>make install-netfs</userinput></screen>
 
+  <para revision="systemd">TBA</para>
 </sect1>
Index: networking/netprogs/nfs-utils.xml
===================================================================
--- networking/netprogs/nfs-utils.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ networking/netprogs/nfs-utils.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -221,5 +221,6 @@
 
         <para>Install the <filename>/etc/rc.d/init.d/nfs-server</filename>
-        init script included in the <xref linkend="bootscripts"/> package
+        init script included in the <xref linkend="bootscripts" revision="sysv"/>
+        <xref linkend="systemd-units" revision="systemd"/> package
         to start the server at boot.</para>
 
@@ -292,5 +293,6 @@
 
         <para>Install the <filename>/etc/rc.d/init.d/nfs-client</filename> init
-        script included in the <xref linkend="bootscripts"/> package to start
+        script included in the <xref linkend="bootscripts" revision="sysv"/>
+        <xref linkend="systemd-units" revision="systemd"/> package to start
         the client services at boot.</para>
 
Index: networking/netprogs/ntp.xml
===================================================================
--- networking/netprogs/ntp.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ networking/netprogs/ntp.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -217,5 +217,6 @@
       <filename>/etc/rc.d/init.d/ntp</filename>
       init script included in the
-      <xref linkend="bootscripts"/> package.</para>
+      <xref linkend="bootscripts" revision="sysv"/>
+      <xref linkend="systemd-units" revision="systemd"/> package.</para>
 
       <indexterm zone="ntp ntp-init">
Index: networking/netprogs/rpcbind.xml
===================================================================
--- networking/netprogs/rpcbind.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ networking/netprogs/rpcbind.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -92,5 +92,5 @@
     commands:</para>
 
-<screen><userinput>patch -Np1 -i ../rpcbind-&rpcbind-version;-tirpc_fix-1.patch &amp;&amp;
+<screen revision="sysv"><userinput>patch -Np1 -i ../rpcbind-&rpcbind-version;-tirpc_fix-1.patch &amp;&amp;
 
 ./configure --prefix=/usr       \
@@ -98,4 +98,11 @@
             --with-rpcuser=root \
             --without-systemdsystemunitdir &amp;&amp;
+make</userinput></screen>
+
+<screen revision="systemd"><userinput>patch -Np1 -i ../rpcbind-&rpcbind-version;-tirpc_fix-1.patch &amp;&amp;
+
+./configure --prefix=/usr       \
+            --bindir=/sbin      \
+            --with-rpcuser=root &amp;&amp;
 make</userinput></screen>
 
@@ -114,6 +121,6 @@
     the configure script.</para>
 
-    <para><command>--without-systemdsystemunitdir</command>: BLFS does not
-    support systemd.</para>
+    <para revision="sysv"><command>--without-systemdsystemunitdir</command>:
+    BLFS does not support systemd.</para>
 
   </sect2>
@@ -125,6 +132,7 @@
       <title>Boot Script</title>
 
-      <para>Install the <filename>/etc/rc.d/init.d/rpcbind</filename> init script
-      included in the <xref linkend="bootscripts"/> package.</para>
+      <para>Install the <filename>/etc/rc.d/init.d/rpcbind</filename> init
+      script included in the <xref linkend="bootscripts" revision="sysv"/>
+      <xref linkend="systemd-units" revision="systemd"/> package.</para>
 
       <indexterm zone="rpcbind rpcbind-init">
Index: networking/netprogs/rsync.xml
===================================================================
--- networking/netprogs/rsync.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ networking/netprogs/rsync.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -175,5 +175,6 @@
       <para>Install the <filename>/etc/rc.d/init.d/rsyncd</filename> init
       script included in the
-      <xref linkend="bootscripts"/> package.</para>
+      <xref linkend="bootscripts" revision="sysv"/>
+      <xref linkend="systemd-units" revision="systemd"/> package.</para>
 
 <screen role="root"><userinput>make install-rsyncd</userinput></screen>
Index: networking/netprogs/samba.xml
===================================================================
--- networking/netprogs/samba.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ networking/netprogs/samba.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -412,5 +412,6 @@
         <para>For your convenience, boot scripts have been provided for
         <application>Samba</application>. There are two included in the
-        <xref linkend="bootscripts"/> package. The first,
+        <xref linkend="bootscripts" revision="sysv"/>
+        <xref linkend="systemd-units" revision="systemd"/> package. The first,
         <filename>samba</filename>, will start the <command>smbd</command>
         and <command>nmbd</command> daemons needed to provide SMB/CIFS
Index: networking/netprogs/wpa_supplicant.xml
===================================================================
--- networking/netprogs/wpa_supplicant.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ networking/netprogs/wpa_supplicant.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -315,5 +315,6 @@
         <command>wpa_supplicant</command>, you need to install the
         <filename>/lib/services/wpa</filename> script
-        included in <xref linkend="bootscripts"/> package:
+        included in <xref linkend="bootscripts" revision="sysv"/>
+        <xref linkend="systemd-units" revision="systemd"/> package:
       </para>
 
Index: networking/netutils/avahi.xml
===================================================================
--- networking/netutils/avahi.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ networking/netutils/avahi.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -246,5 +246,6 @@
         when the system is rebooted, install the
         <filename>/etc/rc.d/init.d/avahi</filename> bootscript from
-        the <xref linkend="bootscripts"/> package.
+        the <xref linkend="bootscripts" revision="sysv"/>
+        <xref linkend="systemd-units" revision="systemd"/> package.
       </para>
 
Index: networking/netutils/networkmanager.xml
===================================================================
--- networking/netutils/networkmanager.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ networking/netutils/networkmanager.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -229,5 +229,6 @@
         system is rebooted, install the
         <filename>/etc/rc.d/init.d/networkmanager</filename> bootscript from the
-        <xref linkend="bootscripts"/> package.
+        <xref linkend="bootscripts" revision="sysv"/>
+        <xref linkend="systemd-units" revision="systemd"/> package.
       </para>
 
Index: networking/netutils/wicd.xml
===================================================================
--- networking/netutils/wicd.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ networking/netutils/wicd.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -102,7 +102,7 @@
     commands:</para>
 
-<screen><userinput>sed -e "/wpath.logrotate\|wpath.systemd/d" \
+<screen revision="sysv"><userinput>sed -e "/wpath.logrotate\|wpath.systemd/d" \
     -e "/detection failed/ a\                self.init=\'init\/default\/wicd\'" \
-    -i.orig setup.py &amp;&amp;;
+    -i.orig setup.py &amp;&amp;
 
 rm po/*.po           &amp;&amp;
@@ -115,4 +115,16 @@
                           --docdir=/usr/share/doc/wicd-&wicd-version;</userinput></screen>
 
+<screen revision="systemd"><userinput>sed "/detection failed/ a\ self.init=\'init\/default\/wicd\'" \
+    -i.orig setup.py &amp;&amp;
+
+rm po/*.po           &amp;&amp;
+
+python setup.py configure --no-install-kde     \
+                          --no-install-acpi    \
+                          --no-install-pmutils \
+                          --no-install-init    \
+                          --no-install-gnome-shell-extensions \
+                          --docdir=/usr/share/doc/wicd-&wicd-version;</userinput></screen>
+
     <para>This package does not come with a test suite.</para>
 
@@ -127,8 +139,11 @@
     <title>Command Explanations</title>
 
-    <para><command>sed -e ... -i setup.py</command>: The first expression in
-    this <command>sed</command> command prevents installation of logrotate and
-    systemd configuration files. You may omit it if you use these utilities. The
-    second one fixes building with BLFS.</para>
+    <para revision="sysv"><command>sed -e ... -i setup.py</command>: The first
+    expression in this <command>sed</command> command prevents installation of
+    logrotate and systemd configuration files. You may omit it if you use these
+    utilities. The second one fixes building with BLFS.</para>
+
+    <para revision="systemd"><command>sed -e ... -i setup.py</command>: Fix
+    and issue while building with BLFS.</para>
 
     <para><command>rm po/*.po</command>: This command removes the international
@@ -181,5 +196,6 @@
       the Wicd bootscript,
       <filename>/etc/rc.d/init.d/wicd</filename>,
-      included in the <xref linkend="bootscripts"/> package
+      included in the <xref linkend="bootscripts" revision="sysv"/>
+      <xref linkend="systemd-units" revision="systemd"/> package
       (as user <systemitem class="username">root</systemitem>):</para>
 
Index: postlfs/config/random.xml
===================================================================
--- postlfs/config/random.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ postlfs/config/random.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -34,5 +34,6 @@
 
   <para>Install the <filename>/etc/rc.d/init.d/random</filename> init script
-  included with the <xref linkend="bootscripts"/> package.</para>
+  included with the <xref linkend="bootscripts" revision="sysv"/>
+  <xref linkend="systemd-units" revision="systemd"/> package.</para>
 
 <screen role="root"><userinput>make install-random</userinput></screen>
Index: postlfs/filesystems/smartmontools.xml
===================================================================
--- postlfs/filesystems/smartmontools.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ postlfs/filesystems/smartmontools.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -117,5 +117,6 @@
         start automatically when the system is booted, install the
         <filename>/etc/rc.d/init.d/smartd</filename> init script included
-        in the <xref linkend="bootscripts"/> package.
+        in the <xref linkend="bootscripts" revision="sysv"/>
+        <xref linkend="systemd-units" revision="systemd"/> package.
       </para>
 
Index: postlfs/security/cyrus-sasl.xml
===================================================================
--- postlfs/security/cyrus-sasl.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ postlfs/security/cyrus-sasl.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -274,5 +274,6 @@
         If you need to run the <command>saslauthd</command> daemon at system
         startup, install the <filename>/etc/rc.d/init.d/saslauthd</filename>
-        init script included in the <xref linkend="bootscripts"/>
+        init script included in the <xref linkend="bootscripts" revision="sysv"/>
+        <xref linkend="systemd-units" revision="systemd"/>
         package using the following command:
       </para>
Index: postlfs/security/haveged.xml
===================================================================
--- postlfs/security/haveged.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ postlfs/security/haveged.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -111,5 +111,6 @@
         start automatically when the system is booted, install the
         <filename>/etc/rc.d/init.d/haveged</filename> init script included
-        in the <xref linkend="bootscripts"/> package.
+        in the <xref linkend="bootscripts" revision="sysv"/>
+        <xref linkend="systemd-units" revision="systemd"/> package.
       </para>
 
Index: postlfs/security/iptables.xml
===================================================================
--- postlfs/security/iptables.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ postlfs/security/iptables.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -204,5 +204,6 @@
         To set up the iptables firewall at boot, install the
         <filename>/etc/rc.d/init.d/iptables</filename> init script included
-        in the <xref linkend="bootscripts"/> package.
+        in the <xref linkend="bootscripts" revision="sysv"/>
+        <xref linkend="systemd-units" revision="systemd"/> package.
       </para>
 
Index: postlfs/security/mitkrb.xml
===================================================================
--- postlfs/security/mitkrb.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ postlfs/security/mitkrb.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -450,5 +450,6 @@
         If you want to start <application>Kerberos</application> services
         at boot, install the <filename>/etc/rc.d/init.d/krb5</filename> init
-        script included in the <xref linkend="bootscripts"/> package using
+        script included in the <xref linkend="bootscripts" revision="sysv"/>
+        <xref linkend="systemd-units" revision="systemd"/> package using
         the following command:
       </para>
Index: postlfs/security/openssh.xml
===================================================================
--- postlfs/security/openssh.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ postlfs/security/openssh.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -314,7 +314,8 @@
       <para>
         To start the SSH server at system boot, install the
-      <filename>/etc/rc.d/init.d/sshd</filename> init script included
-      in the <xref linkend="bootscripts"/> package.
-        </para>
+        <filename>/etc/rc.d/init.d/sshd</filename> init script included
+        in the <xref linkend="bootscripts" revision="sysv"/>
+        <xref linkend="systemd-units" revision="systemd"/> package.
+      </para>
 
       <indexterm zone="openssh openssh-init">
Index: postlfs/security/stunnel.xml
===================================================================
--- postlfs/security/stunnel.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ postlfs/security/stunnel.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -133,8 +133,13 @@
     </note>
 
-<screen><userinput>./configure --prefix=/usr        \
+<screen revision="sysv"><userinput>./configure --prefix=/usr        \
             --sysconfdir=/etc    \
             --localstatedir=/var \
             --disable-systemd    &amp;&amp;
+make</userinput></screen>
+
+<screen revision="systemd"><userinput>./configure --prefix=/usr        \
+            --sysconfdir=/etc    \
+            --localstatedir=/var &amp;&amp;
 make</userinput></screen>
 
@@ -166,6 +171,7 @@
     <title>Command Explanations</title>
 
-    <para><parameter>--disable-systemd</parameter>: This switch disables
-    systemd socket activation support which is not available in BLFS.</para>
+    <para revision="sysv"><parameter>--disable-systemd</parameter>: This switch
+    disables systemd socket activation support which is not available in
+    BLFS.</para>
 
     <para><command>make docdir=... install</command>: This command installs the
@@ -254,5 +260,6 @@
       when the system is booted, install the
       <filename>/etc/rc.d/init.d/stunnel</filename> bootscript from the
-      <xref linkend="bootscripts"/> package.</para>
+      <xref linkend="bootscripts" revision="sysv"/>
+      <xref linkend="systemd-units" revision="systemd"/> package.</para>
 
       <indexterm zone="stunnel stunnel-init">
Index: pst/printing/cups.xml
===================================================================
--- pst/printing/cups.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ pst/printing/cups.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -408,5 +408,6 @@
         If you want the <application>Cups</application> print service to start
         automatically when the system is booted, install the init
-        script included in the <xref linkend="bootscripts"/>
+        script included in the <xref linkend="bootscripts" revision="sysv"/>
+        <xref linkend="systemd-units" revision="systemd"/>
         package:
       </para>
Index: server/databases/mariadb.xml
===================================================================
--- server/databases/mariadb.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ server/databases/mariadb.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -367,5 +367,6 @@
       <para>
         Install the <filename>/etc/rc.d/init.d/mysql</filename> init script
-        included in the <xref linkend="bootscripts"/> package as
+        included in the <xref linkend="bootscripts" revision="sysv"/>
+        <xref linkend="systemd-units" revision="systemd"/> package as
         the <systemitem class="username">root</systemitem> user to start the
         <application>MariaDB</application> server during system boot-up.
Index: server/databases/postgresql.xml
===================================================================
--- server/databases/postgresql.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ server/databases/postgresql.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -251,5 +251,6 @@
       <para>Install the <filename>/etc/rc.d/init.d/postgresql</filename>
       init script included in the
-      <xref linkend="bootscripts"/> package.</para>
+      <xref linkend="bootscripts" revision="sysv"/>
+      <xref linkend="systemd-units" revision="systemd"/> package.</para>
 
       <indexterm zone="postgresql postgresql-init">
Index: server/mail/dovecot.xml
===================================================================
--- server/mail/dovecot.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ server/mail/dovecot.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -249,5 +249,6 @@
       start automatically when the system is booted, install the
       <filename>/etc/rc.d/init.d/dovecot</filename> init script included
-      in the <xref linkend="bootscripts"/> package.</para>
+      in the <xref linkend="bootscripts" revision="sysv"/>
+      <xref linkend="systemd-units" revision="systemd"/> package.</para>
 
       <indexterm zone="dovecot dovecot-init">
Index: server/mail/exim.xml
===================================================================
--- server/mail/exim.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ server/mail/exim.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -305,5 +305,6 @@
       <para>To automate the running of <command>exim</command> at startup,
       install the <filename>/etc/rc.d/init.d/exim</filename> init script
-      included in the <xref linkend="bootscripts"/>
+      included in the <xref linkend="bootscripts" revision="sysv"/>
+      <xref linkend="systemd-units" revision="systemd"/>
       package.</para>
 
Index: server/mail/postfix.xml
===================================================================
--- server/mail/postfix.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ server/mail/postfix.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -407,5 +407,6 @@
         To automate the running of Postfix at startup, install the
         <filename>/etc/rc.d/init.d/postfix</filename> init script included in
-        the <xref linkend="bootscripts"/> package.
+        the <xref linkend="bootscripts" revision="sysv"/>
+        <xref linkend="systemd-units" revision="systemd"/> package.
       </para>
 
Index: server/mail/sendmail.xml
===================================================================
--- server/mail/sendmail.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ server/mail/sendmail.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -266,5 +266,6 @@
       at startup, install the <filename>/etc/rc.d/init.d/sendmail</filename>
       init script included in the
-      <xref linkend="bootscripts"/> package.</para>
+      <xref linkend="bootscripts" revision="sysv"/>
+      <xref linkend="systemd-units" revision="systemd"/> package.</para>
 
       <indexterm zone="sendmail sendmail-init">
Index: server/major/apache.xml
===================================================================
--- server/major/apache.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ server/major/apache.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -274,5 +274,6 @@
         start automatically when the system is booted, install the
         <filename>/etc/rc.d/init.d/httpd</filename> init script included
-        in the <xref linkend="bootscripts"/> package.
+        in the <xref linkend="bootscripts" revision="sysv"/>
+        <xref linkend="systemd-units" revision="systemd"/> package.
       </para>
 
Index: server/major/bind.xml
===================================================================
--- server/major/bind.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ server/major/bind.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -409,5 +409,6 @@
       <para>To start the DNS server at boot, install the
       <filename>/etc/rc.d/init.d/bind</filename> init script included
-      in the <xref linkend="bootscripts"/> package.</para>
+      in the <xref linkend="bootscripts" revision="sysv"/>
+      <xref linkend="systemd-units" revision="systemd"/> package.</para>
 
       <indexterm zone="bind bind-init">
Index: server/major/proftpd.xml
===================================================================
--- server/major/proftpd.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ server/major/proftpd.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -236,5 +236,6 @@
 
       <para>Install the <filename>/etc/rc.d/init.d/proftpd</filename> init
-      script included in the <xref linkend="bootscripts"/>
+      script included in the <xref linkend="bootscripts" revision="sysv"/>
+      <xref linkend="systemd-units" revision="systemd"/>
       package.</para>
 
Index: server/major/vsftpd.xml
===================================================================
--- server/major/vsftpd.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ server/major/vsftpd.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -185,5 +185,6 @@
       <para>Install the <filename>/etc/rc.d/init.d/vsftpd</filename>
       init script included in the
-      <xref linkend="bootscripts"/> package.</para>
+      <xref linkend="bootscripts" revision="sysv"/>
+      <xref linkend="systemd-units" revision="systemd"/> package.</para>
 
 <screen role="root"><userinput>make install-vsftpd</userinput></screen>
Index: server/other/openldap.xml
===================================================================
--- server/other/openldap.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ server/other/openldap.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -416,5 +416,6 @@
         To automate the startup of the LDAP server at system bootup,
         install the <filename>/etc/rc.d/init.d/slapd</filename> init script
-        included in the <xref linkend="bootscripts"/> package
+        included in the <xref linkend="bootscripts" revision="sysv"/>
+        <xref linkend="systemd-units" revision="systemd"/> package
         using the following command:
       </para>
Index: server/other/unbound.xml
===================================================================
--- server/other/unbound.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ server/other/unbound.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -233,5 +233,6 @@
       start automatically when the system is booted, install the
       <filename>/etc/rc.d/init.d/unbound</filename> init script included
-      in the <xref linkend="bootscripts"/> package.</para>
+      in the <xref linkend="bootscripts" revision="sysv"/>
+      <xref linkend="systemd-units" revision="systemd"/> package.</para>
 
       <indexterm zone="unbound unbound-init">
Index: server/other/xinetd.xml
===================================================================
--- server/other/xinetd.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ server/other/xinetd.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -401,5 +401,6 @@
       <para>As the <systemitem class="username">root</systemitem> user, install
       the <filename>/etc/rc.d/init.d/xinetd</filename> init script included in
-      the <xref linkend="bootscripts"/> package.</para>
+      the <xref linkend="bootscripts" revision="sysv"/>
+      <xref linkend="systemd-units" revision="systemd"/> package.</para>
 
       <indexterm zone="xinetd xinetd-init">
Index: template/template.xml
===================================================================
--- template/template.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ template/template.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -279,5 +279,6 @@
         system is rebooted, install the
         <filename>/etc/rc.d/init.d/TEMPLATE</filename> bootscript from the
-        <xref linkend="bootscripts"/> package as the
+        <xref linkend="bootscripts" revision="sysv"/>
+        <xref linkend="systemd-units" revision="systemd"/> package as the
         <systemitem class="username">root</systemitem> user:
       </para>
Index: x/dm/lxdm.xml
===================================================================
--- x/dm/lxdm.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ x/dm/lxdm.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -213,5 +213,6 @@
       <para>
         Install the <filename>/etc/rc.d/init.d/lxdm</filename> init script from
-        the <xref linkend="bootscripts"/> package.
+        the <xref linkend="bootscripts" revision="sysv"/>
+        <xref linkend="systemd-units" revision="systemd"/> package.
       </para>
 
Index: x/dm/sddm.xml
===================================================================
--- x/dm/sddm.xml	(revision 5c9e99827d1d96e624ec34228f9dcf537b6459ce)
+++ x/dm/sddm.xml	(revision 3c7bd008457f2a05bc043f77e307c6a11ad4520c)
@@ -288,5 +288,6 @@
       <para>
         Install the <filename>/etc/rc.d/init.d/sddm</filename> init script from
-        the <xref linkend="bootscripts"/> package.
+        the <xref linkend="bootscripts" revision="sysv"/>
+        <xref linkend="systemd-units" revision="systemd"/> package.
       </para>
 