Index: book/preface.xml
===================================================================
--- book/preface.xml	(revision 17be8c3439ea6f1d927f5f4804bd827e477fdd6c)
+++ book/preface.xml	(revision 4afc2603cc8058ec7e17bf8c01e027b85cf59bf6)
@@ -106,5 +106,5 @@
 
       <para>Changes and upgrades to the individual packages are detailed in the
-      <xref linkend='intro-welcome-changelog'/>.  There you will see literally hundreds of
+      <xref linkend='changelog'/>.  There you will see literally hundreds of
       changes made since the last edition.  In this change log, one name that you
       will see over and over is Randy McMurchy.  Without his efforts this
@@ -144,6 +144,6 @@
       extending a basic Linux From Scratch system.    The instructions in this
       version of BLFS are based on the LFS 6.1 Book.  As usual, the list of
-      packages that have been upgraded or added are in the <xref
-      linkend='intro-welcome-changelog'/>.</para>
+      packages that have been upgraded or added are in the
+      <xref linkend='changelog'/>.</para>
 
       <para>One major accomplishment in this
Index: introduction/important/beyond.xml
===================================================================
--- introduction/important/beyond.xml	(revision 17be8c3439ea6f1d927f5f4804bd827e477fdd6c)
+++ introduction/important/beyond.xml	(revision 4afc2603cc8058ec7e17bf8c01e027b85cf59bf6)
@@ -6,5 +6,5 @@
 ]>
 
-<sect1 id="intro-important-beyond">
+<sect1 id="beyond" xreflabel="Going Beyond BLFS">
   <?dbhtml filename="beyond.html"?>
 
@@ -42,13 +42,15 @@
       <para>Add <filename class='directory'>$PREFIX/lib</filename>
       to <filename>/etc/ld.so.conf</filename> or expand
-      <envar>LD_LIBRARY_PATH</envar> to include it. Before using the latter option,
-      check out <ulink url="http://www.visi.com/~barr/ldpath.html"/>. If you
-      modify <filename>/etc/ld.so.conf</filename>, remember to update
-      <filename>/etc/ld.so.cache</filename> by executing <command>ldconfig</command>
-      as the <systemitem class="username">root</systemitem> user.</para>
+      <envar>LD_LIBRARY_PATH</envar> to include it. Before using the latter
+      option, check out <ulink url="http://www.visi.com/~barr/ldpath.html"/>.
+      If you modify <filename>/etc/ld.so.conf</filename>, remember to update
+      <filename>/etc/ld.so.cache</filename> by executing
+      <command>ldconfig</command> as the
+      <systemitem class="username">root</systemitem> user.</para>
     </listitem>
     <listitem>
       <para>Add <filename class='directory'>$PREFIX/man</filename>
-      to <filename>/etc/man.conf</filename> or expand <envar>MANPATH</envar>.</para>
+      to <filename>/etc/man.conf</filename> or expand
+      <envar>MANPATH</envar>.</para>
     </listitem>
     <listitem>
@@ -57,7 +59,9 @@
     </listitem>
     <listitem>
-      <para>Add <filename
-      class='directory'>$PREFIX/lib/pkgconfig</filename> to
-      <envar>PKG_CONFIG_PATH</envar>.</para>
+      <para>Add <filename class='directory'>$PREFIX/lib/pkgconfig</filename>
+      to <envar>PKG_CONFIG_PATH</envar>. Some packages are now installing
+      <filename class='extension'>.pc</filename> files in
+      <filename class='directory'>$PREFIX/share/pkgconfig</filename>, so you may
+      have to include this directory also.</para>
     </listitem>
     <listitem>
@@ -69,5 +73,5 @@
 
   <para>If you are in search of a package that is not in the book, the following
-  are different ways you can search for the concerned package.</para>
+  are different ways you can search for the desired package.</para>
 
   <itemizedlist>
@@ -75,15 +79,17 @@
       <para>If you know the name of the package, then search FreshMeat for
       it at <ulink url="http://freshmeat.net/"/>. Also search Google at
-      <ulink url="http://google.com/"/>. Sometimes a search for the rpm at
-      <ulink url="http://rpmfind.net/"/> or the deb at
-      <ulink url="http://www.debian.org/distrib/packages#search_packages"/> can also
-      lead to a link to the package.</para>
+      <ulink url="http://google.com/"/>. Sometimes a search for the
+      <filename class='extension'>rpm</filename> at
+      <ulink url="http://rpmfind.net/"/> or the
+      <filename class='extension'>deb</filename> at
+      <ulink url="http://www.debian.org/distrib/packages#search_packages"/> can
+      also lead to a link to the package.</para>
     </listitem>
     <listitem>
       <para>If you know the name of the executable, but not the package
-      that the executable belongs to, first try a google search with the name of the
-      executable. If the results are overwhelming, try searching for the given
-      executable in the Debian repository at
-      <ulink url="http://www.debian.org/distrib/packages#search_contents"/>.</para>
+      that the executable belongs to, first try a Google search with the name
+      of the executable. If the results are overwhelming, try searching for the
+      given executable in the Debian repository at <ulink
+      url="http://www.debian.org/distrib/packages#search_contents"/>.</para>
     </listitem>
   </itemizedlist>
@@ -101,17 +107,20 @@
       <para>Most of the packages contain documentation on compiling and
       installing the package. Some of the documents are excellent, some not so
-      excellent. Check out the homepage of the package for any additional and updated
-      hints for compiling and configuring the package.</para>
+      excellent. Check out the homepage of the package for any additional and
+      updated hints for compiling and configuring the package.</para>
     </listitem>
     <listitem>
       <para>If you are having a problem compiling the package, try
-      searching the lfs archives at <ulink url="http://search.linuxfromscratch.org/"/>
-      for the error or if that fails try searching Google. If everything else fails,
-      try the blfs-support mailing-list/news-group.</para>
+      searching the LFS archives at
+      <ulink url="http://search.linuxfromscratch.org/"/> for the error or if
+      that fails, try searching Google. If everything else fails,
+      try the blfs-support mailing-list.</para>
     </listitem>
   </itemizedlist>
 
   <tip>
-    <para>If you have found a package that is only available in .deb or .rpm
+    <para>If you have found a package that is only available in
+    <filename class='extension'>.deb</filename> or
+    <filename class='extension'>.rpm</filename>
     format, there are two small scripts, <command>rpm2targz</command> and
     <command>deb2targz</command> that are available at
Index: introduction/important/important.xml
===================================================================
--- introduction/important/important.xml	(revision 4afc2603cc8058ec7e17bf8c01e027b85cf59bf6)
+++ introduction/important/important.xml	(revision 4afc2603cc8058ec7e17bf8c01e027b85cf59bf6)
@@ -0,0 +1,25 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<chapter id="important">
+  <?dbhtml filename="important.html"?>
+
+  <title>Important Information</title>
+
+  <para>This chapter is used to explain some of the policies used throughout
+  the book, to introduce important concepts and to explain some issues you may
+  see with some of the included packages.</para>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="pkgmgt.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="unpacking.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="position.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="patches.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bootscripts.xml"/>
+  <!--  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="locale-issues.xml"/> -->
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="beyond.xml"/>
+
+</chapter>
Index: introduction/important/patches.xml
===================================================================
--- introduction/important/patches.xml	(revision 17be8c3439ea6f1d927f5f4804bd827e477fdd6c)
+++ introduction/important/patches.xml	(revision 4afc2603cc8058ec7e17bf8c01e027b85cf59bf6)
@@ -6,5 +6,5 @@
 ]>
 
-<sect1 id="intro-important-patches">
+<sect1 id="patches">
   <?dbhtml filename="patches.html"?>
 
Index: introduction/important/pkgmgt.xml
===================================================================
--- introduction/important/pkgmgt.xml	(revision 17be8c3439ea6f1d927f5f4804bd827e477fdd6c)
+++ introduction/important/pkgmgt.xml	(revision 4afc2603cc8058ec7e17bf8c01e027b85cf59bf6)
@@ -6,5 +6,5 @@
 ]>
 
-<sect1 id="intro-important-pkgmgt">
+<sect1 id="pkgmgt">
   <?dbhtml filename="pkgmgt.html"?>
 
@@ -43,5 +43,5 @@
   <para>There are some hints written on the topic of package management. Visit
   the <ulink url="&hints-root;">Hints subproject</ulink>
-  to find if one of them fits your need.</para>
+  and see if one of them fits your need.</para>
 
   <sect2>
@@ -86,6 +86,6 @@
         <para>If you are upgrading a running system, be on the lookout for packages
         that use <command>cp</command> instead of <command>install</command>
-        to install files. The latter command is usually safer if the executable or library
-        is already loaded in memory.</para>
+        to install files. The latter command is usually safer if the executable
+        or library is already loaded in memory.</para>
       </listitem>
     </itemizedlist>
@@ -114,7 +114,7 @@
       <title>Install in Separate Directories</title>
 
-      <para>This is a simplistic package management that does not need any extra package
-      to manage the installations. Each package is installed in a separate directory.
-      For example, package foo-1.1 is installed in
+      <para>This is a simplistic package management that does not need any
+      extra package to manage the installations. Each package is installed in a
+      separate directory. For example, package foo-1.1 is installed in
       <filename class='directory'>/usr/pkg/foo-1.1</filename>
       and a symlink is made from <filename>/usr/pkg/foo</filename> to
@@ -125,5 +125,5 @@
 
       <para>The environment variables such as those mentioned in
-      <xref linkend="intro-important-beyond"/> need to be expanded to
+      <quote><xref linkend="beyond"/></quote> need to be expanded to
       include <filename>/usr/pkg/foo</filename>. For more than a few packages,
       this scheme becomes unmanageable.</para>
Index: introduction/important/position.xml
===================================================================
--- introduction/important/position.xml	(revision 17be8c3439ea6f1d927f5f4804bd827e477fdd6c)
+++ introduction/important/position.xml	(revision 4afc2603cc8058ec7e17bf8c01e027b85cf59bf6)
@@ -6,5 +6,5 @@
 ]>
 
-<sect1 id="intro-important-position">
+<sect1 id="position">
   <?dbhtml filename="position.html"?>
 
@@ -22,66 +22,75 @@
   LFS based system.</para>
 
-  <para>In traditional Unix systems, <filename>/usr</filename> usually
-  contains files that come with the system distribution, and the <filename>
-  /usr/local</filename> tree is free for the local administrator to manage.
-  The only really hard and fast rule is that Unix distributions should not
-  touch <filename>/usr/local</filename>, except perhaps to create the basic
-  directories within it.</para>
+  <para>In traditional Unix systems,
+  <filename class='directory'>/usr</filename> usually contains files that come
+  with the system distribution, and the
+  <filename class='directory'>/usr/local</filename> tree is free for the local
+  administrator to manage. The only really hard and fast rule is that Unix
+  distributions should not touch
+  <filename class='directory'>/usr/local</filename>, except perhaps to create
+  the basic directories within it.</para>
 
-  <para>With Linux distributions, like Red Hat, Debian etc. a possible rule is
-  that <filename>/usr</filename> is managed by the distribution's
-  package system and <filename>/usr/local</filename> is not.  This way the
+  <para>With Linux distributions like Red Hat, Debian, etc., a possible rule is
+  that <filename class='directory'>/usr</filename> is managed by the
+  distribution's package system and
+  <filename class='directory'>/usr/local</filename> is not. This way the
   package manager's database knows about every file within
-  <filename>/usr</filename>.</para>
+  <filename class='directory'>/usr</filename>.</para>
 
   <para>LFS users build their own system and so deciding where
   the system ends and local files begin is not straightforward.  So the choice
-  should be made in order to make things easier to administer.  There are several
-  reasons for dividing files between <filename>/usr</filename> and
-  <filename>/usr/local</filename>.</para>
+  should be made in order to make things easier to administer.  There are
+  several reasons for dividing files between
+  <filename class='directory'>/usr</filename> and
+  <filename class='directory'>/usr/local</filename>.</para>
 
   <itemizedlist>
     <listitem>
-      <para>On a network of several machines all running LFS,
-      or mixed LFS and other Linux distributions,
-      <filename>/usr/local</filename> could be used to hold packages
-      that are common between all the computers in the network.  It can be
-      NFS mounted or mirrored from a single server.  Here local
-      indicates local to the site.</para>
+      <para>On a network of several machines all running LFS, or mixed LFS and
+      other Linux distributions,
+      <filename class='directory'>/usr/local</filename> could be used to hold
+      packages that are common between all the computers in the network. It can
+      be NFS mounted or mirrored from a single server. Here local indicates
+      local to the site.</para>
     </listitem>
     <listitem>
       <para>On a network of several computers all running an identical
-      LFS system <filename>/usr/local</filename> could hold
-      packages that are different between the machines.  In this case local refers
-      to the individual computers.</para>
+      LFS system, <filename class='directory'>/usr/local</filename> could hold
+      packages that are different between the machines. In this case local
+      refers to the individual computers.</para>
     </listitem>
     <listitem>
-      <para>Even on a single computer <filename>/usr/local</filename> can
-      be useful if you have several distributions installed simultaneously, and want
+      <para>Even on a single computer,
+      <filename class='directory'>/usr/local</filename> can be useful if you
+      have several distributions installed simultaneously, and want
       a place to put packages that will be the same on all of them.</para>
     </listitem>
     <listitem>
       <para>Or you might regularly rebuild your LFS, but
-      want a place to put files that you don't want to rebuild each time.  This way
-      you can wipe the LFS file system and start from a clean
+      want a place to put files that you don't want to rebuild each time.  This
+      way you can wipe the LFS file system and start from a clean
       partition every time without losing everything.</para>
     </listitem>
   </itemizedlist>
 
-  <para>Some people ask why not use your own directory tree, e.g., <filename>
-  /usr/site</filename>, rather than <filename>/usr/local</filename>?</para>
+  <para>Some people ask why not use your own directory tree, e.g.,
+  <filename class='directory'>/usr/site</filename>, rather than
+  <filename class='directory'>/usr/local</filename>?</para>
 
   <para>There is nothing stopping you, many sites do make their own trees,
   however it makes installing new software more difficult.  Automatic installers
-  often look for dependencies in <filename>/usr</filename> and
-  <filename>/usr/local</filename>, and if the file it is looking
-  for is in <filename>/usr/site</filename> instead, the installer will
-  probably fail unless you specifically tell it where to look.</para>
+  often look for dependencies in
+  <filename class='directory'>/usr</filename> and
+  <filename class='directory'>/usr/local</filename>, and if the file it is
+  looking for is in <filename class='directory'>/usr/site</filename> instead,
+  the installer will probably fail unless you specifically tell it where to
+  look.</para>
 
   <para><emphasis>What is the BLFS position on this?</emphasis></para>
 
   <para>All of the BLFS instructions install programs in
-  <filename>/usr</filename> with optional instructions to install into
-  <filename>/opt</filename> for some specific packages.</para>
+  <filename class='directory'>/usr</filename> with optional instructions to
+  install into <filename class='directory'>/opt</filename> for some specific
+  packages.</para>
 
 </sect1>
Index: introduction/important/unpacking.xml
===================================================================
--- introduction/important/unpacking.xml	(revision 17be8c3439ea6f1d927f5f4804bd827e477fdd6c)
+++ introduction/important/unpacking.xml	(revision 4afc2603cc8058ec7e17bf8c01e027b85cf59bf6)
@@ -6,5 +6,5 @@
 ]>
 
-<sect1 id="intro-important-unpacking">
+<sect1 id="unpacking">
   <?dbhtml filename="unpacking.html"?>
 
@@ -16,5 +16,5 @@
   <title>Notes on Building Software</title>
 
-  <para>Those people who have built an LFS system will be aware
+  <para>Those people who have built an LFS system may be aware
   of the general principles of downloading and unpacking software.  We will
   however repeat some of that information here for those new to building
@@ -34,5 +34,6 @@
   <para>We can not emphasize strongly enough that you should start from a
   <emphasis>clean source tree</emphasis> each time. This means that if
-  you have had an error, it's usually best to delete the source tree and
+  you have had an error during configuration or compilation, it's usually
+  best to delete the source tree and
   re-unpack it <emphasis>before</emphasis> trying again. This obviously
   doesn't apply if you're an advanced user used to hacking
@@ -143,17 +144,18 @@
     <itemizedlist>
       <listitem>
-        <para><emphasis>Required</emphasis> means
-            that the target package cannot be correctly built without
-            the dependency having first been installed.</para>
+        <para><emphasis>Required</emphasis> means that the target package
+        cannot be correctly built without the dependency having first been
+        installed.</para>
       </listitem>
       <listitem>
-        <para><emphasis>Recommended</emphasis> means that BLFS strongly suggests this package is
-           installed first for a clean and trouble-free build, that won't have
-           issues either during the build process, or at run-time.</para>
+        <para><emphasis>Recommended</emphasis> means that BLFS strongly
+        suggests this package is installed first for a clean and trouble-free
+        build, that won't have issues either during the build process, or at
+        run-time.</para>
       </listitem>
       <listitem>
-        <para><emphasis>Optional</emphasis> means that this package might be installed for added
-           functionality.  Often BLFS will qualify the dependency to explain the
-           added functionality that will result.</para>
+        <para><emphasis>Optional</emphasis> means that this package might be
+        installed for added functionality. Often BLFS will describe the
+        dependency to explain the added functionality that will result.</para>
       </listitem>
     </itemizedlist>
Index: introduction/introduction.xml
===================================================================
--- introduction/introduction.xml	(revision 17be8c3439ea6f1d927f5f4804bd827e477fdd6c)
+++ introduction/introduction.xml	(revision 4afc2603cc8058ec7e17bf8c01e027b85cf59bf6)
@@ -11,47 +11,6 @@
   <title>Introduction</title>
 
-  <chapter id="intro-welcome">
-    <?dbhtml filename="welcome.html"?>
-
-    <title>Welcome to BLFS</title>
-
-    <para>The Beyond Linux From Scratch book is designed to carry on from
-    where the LFS book leaves off.  But unlike the LFS book, it isn't designed to
-    be followed straight through.  Reading the <xref
-    linkend="intro-welcome-whichsections"/> part of this chapter should help
-    guide you through the book.</para>
-
-    <para>Please read most of this part of the book carefully as it explains
-    quite a few of the conventions we use throughout the book.</para>
-
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="welcome/acknowledgments.xml"/>
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="welcome/credits.xml"/>
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="welcome/which.xml"/>
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="welcome/conventions.xml"/>
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="welcome/version.xml"/>
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="welcome/mirrors.xml"/>
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="welcome/packages.xml"/>
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="welcome/changelog.xml"/>
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="welcome/maillists.xml"/>
- <!--   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="welcome/newsserver.xml"/> -->
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="welcome/askhelp.xml"/>
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="welcome/contact.xml"/>
-
-  </chapter>
-
-  <chapter id="intro-important">
-    <?dbhtml filename="important.html"?>
-
-    <title>Important Information</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="important/pkgmgt.xml"/>
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="important/unpacking.xml"/>
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="important/position.xml"/>
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="important/patches.xml"/>
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="important/bootscripts.xml"/>
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="important/beyond.xml"/>
-
-  </chapter>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="welcome/welcome.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="important/important.xml"/>
 
 </part>
Index: introduction/welcome/acknowledgments.xml
===================================================================
--- introduction/welcome/acknowledgments.xml	(revision 17be8c3439ea6f1d927f5f4804bd827e477fdd6c)
+++ introduction/welcome/acknowledgments.xml	(revision 4afc2603cc8058ec7e17bf8c01e027b85cf59bf6)
@@ -6,5 +6,5 @@
 ]>
 
-<sect1 id="intro-welcome-acknowledgments">
+<sect1 id="acknowledgments">
   <?dbhtml filename="acknowledgments.html"?>
 
@@ -71,3 +71,2 @@
 
 </sect1>
-
Index: introduction/welcome/askhelp.xml
===================================================================
--- introduction/welcome/askhelp.xml	(revision 17be8c3439ea6f1d927f5f4804bd827e477fdd6c)
+++ introduction/welcome/askhelp.xml	(revision 4afc2603cc8058ec7e17bf8c01e027b85cf59bf6)
@@ -6,5 +6,5 @@
 ]>
 
-<sect1 id="intro-welcome-askhelp">
+<sect1 id="askhelp">
   <?dbhtml filename="askhelp.html"?>
 
@@ -20,5 +20,5 @@
   you will find that most of the people on Internet Relay Chat (IRC) and on the
   mailing lists are willing to help you. An overview of the LFS mailing
-  lists can be found in <xref linkend="intro-welcome-maillists"/>. To assist us
+  lists can be found in <xref linkend="maillists"/>. To assist us
   in diagnosing and solving your problem, include as much relevant information
   as possible in your request for help.</para>
@@ -36,5 +36,5 @@
         been loaded?  You should use <command>lsmod</command> as the
         <systemitem class='username'>root</systemitem> user to see if it's
-        loaded. Check the <filename>syslog.log</filename> or run
+        loaded. Check the <filename>syslog.log</filename> file or run
         <command>modprobe <replaceable>[driver]</replaceable></command> to
         review any error message. If it loads properly, you may need to add
@@ -57,5 +57,5 @@
         PATH=$PATH:/opt/kde/bin). In most cases, the package instructions will
         walk you through the changes, but some will not. The section called
-        <quote><ulink url="beyond.html">Going Beyond BLFS</ulink></quote> is
+        <quote><xref linkend="beyond"/></quote> is
         available to help you check.</para>
       </listitem>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 17be8c3439ea6f1d927f5f4804bd827e477fdd6c)
+++ introduction/welcome/changelog.xml	(revision 4afc2603cc8058ec7e17bf8c01e027b85cf59bf6)
@@ -6,5 +6,5 @@
 ]>
 
-<sect1 id="intro-welcome-changelog" xreflabel='Change Log'>
+<sect1 id="changelog" xreflabel='Change Log'>
   <?dbhtml filename="changelog.html"?>
 
@@ -18,5 +18,5 @@
   <para>Please note that the Change Log only lists which editor was
   responsible for putting the changes into SVN; please read the
-  <xref linkend="intro-welcome-credits"/> page in Chapter 1 for details on
+  <xref linkend="credits"/> page in Chapter 1 for details on
   who wrote what.</para>
 
Index: introduction/welcome/contact.xml
===================================================================
--- introduction/welcome/contact.xml	(revision 17be8c3439ea6f1d927f5f4804bd827e477fdd6c)
+++ introduction/welcome/contact.xml	(revision 4afc2603cc8058ec7e17bf8c01e027b85cf59bf6)
@@ -6,5 +6,5 @@
 ]>
 
-<sect1 id="intro-welcome-contactinfo">
+<sect1 id="contactinfo">
   <?dbhtml filename="contactinfo.html"?>
 
@@ -17,5 +17,5 @@
 
   <para>Please direct your emails to one of the BLFS mailing lists. See
-  <xref linkend="intro-welcome-maillists"/> for more information on
+  <xref linkend="maillists"/> for more information on
   the available mailing lists.</para>
 
@@ -25,3 +25,2 @@
 
 </sect1>
-
Index: introduction/welcome/conventions.xml
===================================================================
--- introduction/welcome/conventions.xml	(revision 17be8c3439ea6f1d927f5f4804bd827e477fdd6c)
+++ introduction/welcome/conventions.xml	(revision 4afc2603cc8058ec7e17bf8c01e027b85cf59bf6)
@@ -6,5 +6,5 @@
 ]>
 
-<sect1 id="intro-welcome-conventions">
+<sect1 id="conventions">
   <?dbhtml filename="conventions.html"?>
 
@@ -32,5 +32,5 @@
   <blockquote>
     <para>This form of text (fixed width text) is showing screen
-    output, probably as the result of commands issued and is also used to
+    output, probably a result from issuing a command. It is also used to
     show filenames such as <filename>/boot/grub/grub.conf</filename></para>
   </blockquote>
@@ -48,5 +48,5 @@
   <blockquote>
     <para>This form of text is used for hypertext links external to
-    the book such as HowTo's, download locations, websites, etc.</para>
+    the book such as HowTos, download locations, websites, etc.</para>
   </blockquote>
 
@@ -84,6 +84,6 @@
 
   <blockquote>
-    <para>This form of text is used to show a specific system user reference
-    in the instructions.</para>
+    <para>This form of text is used to show a specific system user or group
+    reference in the instructions.</para>
   </blockquote>
 
Index: introduction/welcome/credits.xml
===================================================================
--- introduction/welcome/credits.xml	(revision 17be8c3439ea6f1d927f5f4804bd827e477fdd6c)
+++ introduction/welcome/credits.xml	(revision 4afc2603cc8058ec7e17bf8c01e027b85cf59bf6)
@@ -6,5 +6,5 @@
 ]>
 
-<sect1 id="intro-welcome-credits" xreflabel="Credits">
+<sect1 id="credits" xreflabel="Credits">
   <?dbhtml filename="credits.html"?>
 
Index: introduction/welcome/maillists.xml
===================================================================
--- introduction/welcome/maillists.xml	(revision 17be8c3439ea6f1d927f5f4804bd827e477fdd6c)
+++ introduction/welcome/maillists.xml	(revision 4afc2603cc8058ec7e17bf8c01e027b85cf59bf6)
@@ -6,5 +6,5 @@
 ]>
 
-<sect1 id="intro-welcome-maillists" xreflabel="Mailing lists">
+<sect1 id="maillists" xreflabel="Mailing lists">
   <?dbhtml filename="maillists.html"?>
 
@@ -21,6 +21,6 @@
 
   <para>For more information regarding which lists are available, how to
-  subscribe to them, archive locations, etc. visit <ulink
-  url="http://www.linuxfromscratch.org/mail.html"/>.</para>
+  subscribe to them, archive locations, etc., visit
+  <ulink url="http://www.linuxfromscratch.org/mail.html"/>.</para>
 
 </sect1>
Index: introduction/welcome/mirrors.xml
===================================================================
--- introduction/welcome/mirrors.xml	(revision 17be8c3439ea6f1d927f5f4804bd827e477fdd6c)
+++ introduction/welcome/mirrors.xml	(revision 4afc2603cc8058ec7e17bf8c01e027b85cf59bf6)
@@ -6,5 +6,5 @@
 ]>
 
-<sect1 id="intro-welcome-mirrors" xreflabel="Mirrors">
+<sect1 id="mirrors" xreflabel="Mirrors">
   <?dbhtml filename="mirrors.html"?>
 
@@ -16,10 +16,8 @@
   <title>Mirror Sites</title>
 
-  <para>The BLFS project has a number of mirrors setup world-wide to make it
-  easier and more convenient for you to access the website.  Please visit the
+  <para>The BLFS project has a number of mirrors set up world-wide to make it
+  easier and more convenient for you to access the website. Please visit the
   <ulink url="http://www.linuxfromscratch.org/mirrors.html"/> website for the
   list of current mirrors.</para>
 
 </sect1>
-
-
Index: introduction/welcome/packages.xml
===================================================================
--- introduction/welcome/packages.xml	(revision 17be8c3439ea6f1d927f5f4804bd827e477fdd6c)
+++ introduction/welcome/packages.xml	(revision 4afc2603cc8058ec7e17bf8c01e027b85cf59bf6)
@@ -6,5 +6,5 @@
 ]>
 
-<sect1 id="intro-welcome-packages" xreflabel="Getting the Source Packages">
+<sect1 id="packages" xreflabel="Getting the Source Packages">
   <?dbhtml filename="packages.html"?>
 
Index: introduction/welcome/version.xml
===================================================================
--- introduction/welcome/version.xml	(revision 17be8c3439ea6f1d927f5f4804bd827e477fdd6c)
+++ introduction/welcome/version.xml	(revision 4afc2603cc8058ec7e17bf8c01e027b85cf59bf6)
@@ -6,5 +6,5 @@
 ]>
 
-<sect1 id="intro-welcome-version" xreflabel="Book Version">
+<sect1 id="version" xreflabel="Book Version">
   <?dbhtml filename="version.html"?>
 
@@ -18,7 +18,7 @@
   <para>This is BLFS-BOOK version &version; dated &releasedate;.
   If this version is older than a month, a newer version is probably already
-  available for download. Check one of the mirror sites below for updated
+  available for download. Check one of the mirror sites at
+  <ulink url="http://www.linuxfromscratch.org/mirrors.html"/> for updated
   versions.</para>
 
 </sect1>
-
Index: introduction/welcome/welcome.xml
===================================================================
--- introduction/welcome/welcome.xml	(revision 4afc2603cc8058ec7e17bf8c01e027b85cf59bf6)
+++ introduction/welcome/welcome.xml	(revision 4afc2603cc8058ec7e17bf8c01e027b85cf59bf6)
@@ -0,0 +1,34 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+   "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<chapter id="welcome">
+  <?dbhtml filename="welcome.html"?>
+
+  <title>Welcome to BLFS</title>
+
+  <para>The Beyond Linux From Scratch book is designed to carry on from where
+  the LFS book leaves off. But unlike the LFS book, it isn't designed to be
+  followed straight through.  Reading the <xref linkend="whichsections"/>
+  part of this chapter should help guide you through the book.</para>
+
+  <para>Please read most of this part of the book carefully as it explains
+  quite a few of the conventions used throughout the book.</para>
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="acknowledgments.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="credits.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="which.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="conventions.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="version.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mirrors.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="packages.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="changelog.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="maillists.xml"/>
+  <!--   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="newsserver.xml"/> -->
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="askhelp.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="contact.xml"/>
+
+</chapter>
Index: introduction/welcome/which.xml
===================================================================
--- introduction/welcome/which.xml	(revision 17be8c3439ea6f1d927f5f4804bd827e477fdd6c)
+++ introduction/welcome/which.xml	(revision 4afc2603cc8058ec7e17bf8c01e027b85cf59bf6)
@@ -6,5 +6,5 @@
 ]>
 
-<sect1 id="intro-welcome-whichsections" xreflabel="Which sections of the book?">
+<sect1 id="whichsections" xreflabel="Which sections of the book?">
   <?dbhtml filename="which.html"?>
 
@@ -17,16 +17,16 @@
 
   <para>Unlike the Linux From Scratch book, BLFS isn't designed to be
-  followed in a linear manner.  This is because LFS  provides instructions
+  followed in a linear manner. This is because LFS provides instructions
   on how to create a base system which is capable of turning into anything
-  from a web server to a multimedia desktop system.  BLFS is where we try
+  from a web server to a multimedia desktop system. BLFS is where we try
   to guide you in the process of going from the base system to your intended
   destination. Choice is very much involved.</para>
 
   <para>Everyone who reads the book will want to read certain sections.  The
-  <xref linkend="introduction"/> part&ndash;which you are currently
-  reading&ndash;contains generic information.  Especially take note of the
-  information in Important Information (<xref linkend="intro-important"/>), as
-  this contains comments about how to unpack software and various other aspects
-  which apply throughout the book.</para>
+  <xref linkend="introduction"/> part, which you are currently reading,
+  contains generic information.  Especially take note of the information in
+  <xref linkend="important"/>, as this contains comments about how to
+  unpack software, issues related to using different locales and various other
+  aspects which apply throughout the book.</para>
 
   <para>The part on <xref linkend="postlfs"/> is where most people will want
@@ -39,11 +39,11 @@
   system.</para>
 
-<para>Following these basic items, most people will want to at least browse
+  <para>Following these basic items, most people will want to at least browse
   through the <xref linkend="general"/> part of the book.  This part contains
   information on many items which are prerequisites for other sections of the
-  book as well as some items (such as Programming (<xref linkend="general-prog"/>)
+  book as well as some items (such as <xref linkend="general-prog"/>)
   which are useful in their own right.  Note that you don't have to install all
   of these libraries and packages found in this part to start with, each
-  BLFS install procedure tells you which packages
+  BLFS installation procedure tells you which packages
   it depends upon so you can choose the program you want to install and see
   what it needs.</para>
@@ -61,9 +61,9 @@
   more advanced network services.  These are dealt with in the <xref
   linkend="server"/> part of the book.  Those wanting to build servers
-  should find  a good starting point there.  Note that <xref linkend="server"/>
+  should find a good starting point there.  Note that this section
   also contains information on various database packages.</para>
 
   <para>The next parts of the book principally deal with desktop systems.  This
-  portion of the book starts with a part talking about <xref linkend="x"/>.  This
+  portion of the book starts with a part talking about <xref linkend="x"/>. This
   part also deals with some generic X-based libraries (<xref linkend="x-lib"/>).
   After this, <xref linkend="kde"/> and <xref linkend="gnome"/> are given their
@@ -83,3 +83,2 @@
 
 </sect1>
-